GNU bug report logs - #48702
[PATCH 0/3] Add patatt and update b4

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Kyle Meyer <kyle@HIDDEN>; Keywords: patch; dated Thu, 27 May 2021 14:52:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 48702 <at> debbugs.gnu.org:


Received: (at 48702) by debbugs.gnu.org; 23 May 2022 09:25:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 23 05:25:58 2022
Received: from localhost ([127.0.0.1]:47297 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nt4K6-00027B-JH
	for submit <at> debbugs.gnu.org; Mon, 23 May 2022 05:25:58 -0400
Received: from andre.telenet-ops.be ([195.130.132.53]:39100)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nt4K4-000271-3S
 for 48702 <at> debbugs.gnu.org; Mon, 23 May 2022 05:25:56 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by andre.telenet-ops.be with bizsmtp
 id a9Rt2700e4UW6Th019RtkC; Mon, 23 May 2022 11:25:54 +0200
Message-ID: <cf530706d9c42bd385e8f2b1f10900eda6e5972e.camel@HIDDEN>
Subject: Re: [bug#48702] [PATCH v6 4/4] gnu: b4: Enable patch attestation.
From: Maxime Devos <maximedevos@HIDDEN>
To: Kyle Meyer <kyle@HIDDEN>, 48702 <at> debbugs.gnu.org
Date: Mon, 23 May 2022 11:25:48 +0200
In-Reply-To: <20220522222807.332757-5-kyle@HIDDEN>
References: <20211218070648.278181-1-kyle@HIDDEN>
 <20220522222807.332757-1-kyle@HIDDEN>
 <20220522222807.332757-5-kyle@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-A64nPMuYP1FRLYa3IcpU"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1653297954; bh=AaNjbEyXky5WRAFSRvXbWOawHu/fmMoYG/Wk4rCnOGk=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=ZqcfbCnMpNxuKpKlvD9ZuBFrxKSgkViRbUWCUlCyKsD7xdBS1oG062ULlodGDVHcR
 K0dXvfk0OCNNh9Y2c9K27yNf0coWHze0qBinrv0zVdmlCD91ZunIu2pSrJSMSHrKNj
 tHlJ8K8zbWLqle/kVF3rqR4Bx0cuEi9Jy4zSIn3DgUpaPiBhI+57Tsi7OysqRLWQ93
 QOa9h/+WBeOUgJ2Mh+5/rVr1v+Vhf3VjrMxvY+LOKuJdfToBAOWcCV0vwEE6DqAVru
 dzGbridiUwHy6t9b865DjGtDxkuSFzLgCIHpVVBmEtzyrr2Zkk9kPq5w2dmv8niX+6
 is35dQZjeq6DQ==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48702
Cc: Ludovic =?ISO-8859-1?Q?Court=E8s?= <ludo@HIDDEN>,
 Xinglu Chen <public@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-A64nPMuYP1FRLYa3IcpU
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Kyle Meyer schreef op zo 22-05-2022 om 18:28 [-0400]:
> +=C2=A0=C2=A0=C2=A0 (propagated-inputs
> +=C2=A0=C2=A0=C2=A0=C2=A0 (list patatt))

Preferably this wouldn't be propagated.  Would adding it to 'inputs'
suffice?

Also, looks like 'git' is missing in the inputs. From b4/__init__.py:

def git_run_command(gitdir: Optional[str], args: List[str], stdin: Optional=
[bytes] =3D None,
                    logstderr: bool =3D False) -> Tuple[int, str]:
    cmdargs =3D ['git', '--no-pager']


Maybe it needs=C2=A0a 'substitute*' to replace 'git' by the absolute file n=
ame
or some wrapping to add the 'git' binary to the $PATH?.

Greetings,
Maxime.

--=-A64nPMuYP1FRLYa3IcpU
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYotTHBccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7kaKAQDwNrgsQeZ7GBwQvbVPKJBrYLLw
+0n75xMOOka2DYVNegD/Sxkbxe/BWzv318ZkBflzYwAvXc+PWh/7Pqf1oUujYQA=
=giS5
-----END PGP SIGNATURE-----

--=-A64nPMuYP1FRLYa3IcpU--





Information forwarded to guix-patches@HIDDEN:
bug#48702; Package guix-patches. Full text available.

Message received at 48702 <at> debbugs.gnu.org:


Received: (at 48702) by debbugs.gnu.org; 22 May 2022 22:28:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 22 18:28:51 2022
Received: from localhost ([127.0.0.1]:46629 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nsu4A-0008T8-NM
	for submit <at> debbugs.gnu.org; Sun, 22 May 2022 18:28:50 -0400
Received: from out2.migadu.com ([188.165.223.204]:54064)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1nsu3y-0008SW-GH
 for 48702 <at> debbugs.gnu.org; Sun, 22 May 2022 18:28:38 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1653258517;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=CkLV936zx2pKcOdHrQQHda3e9/Unv43Pp5hus1NejRE=;
 b=rDLsHTkef9U/+IvRXpUHsyM/fVbf1+Uh0gBBHDDgjAcEuaARQOx5OPBbip9kRbkUKyk1qg
 a3bpxmhRcdjV2MWTopqap208xX21Sh2PDDUz7oXgI4zt8GOCpiWnDzvq3hln9JiZtMVuks
 oMrUa+hIF7kULnuVw6FXyOk6ER7gewom6m9FV7Kb8W1ggVwahqGjTVtgjjZaOk4L4meDNA
 7wRoi/vnnoleZ9EImZCZi7gMt0COULo2629HRCrptJ1wnw3MYzPSe/Fvyam6ciCGsPwK/M
 GafWey9zgX3qZfQeccKuHMIp9+wSG/8yB/uODs/LuUtX0QxIuWcdTXC5vLl/hg==
From: Kyle Meyer <kyle@HIDDEN>
To: 48702 <at> debbugs.gnu.org
Subject: [PATCH v6 4/4] gnu: b4: Enable patch attestation.
Date: Sun, 22 May 2022 18:28:07 -0400
Message-Id: <20220522222807.332757-5-kyle@HIDDEN>
In-Reply-To: <20220522222807.332757-1-kyle@HIDDEN>
References: <20211218070648.278181-1-kyle@HIDDEN>
 <20220522222807.332757-1-kyle@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: kyleam.com
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48702
Cc: =?UTF-8?q?Ludovic=20Court=C3=A8s?= <ludo@HIDDEN>,
 Xinglu Chen <public@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/version-control.scm (b4) [propagated-inputs]: Add patatt.
---
 gnu/packages/version-control.scm | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/gnu/packages/version-control.scm b/gnu/packages/version-control.scm
index 43ae1eec46..5badc28fc5 100644
--- a/gnu/packages/version-control.scm
+++ b/gnu/packages/version-control.scm
@@ -2620,6 +2620,8 @@ (define-public b4
                (delete 'sanity-check))))
     (inputs
      (list python-dkimpy python-dnspython python-requests))
+    (propagated-inputs
+     (list patatt))
     (home-page "https://git.kernel.org/pub/scm/utils/b4/b4.git")
     (synopsis "Tool for working with patches in public-inbox archives")
     (description
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#48702; Package guix-patches. Full text available.

Message received at 48702 <at> debbugs.gnu.org:


Received: (at 48702) by debbugs.gnu.org; 22 May 2022 22:28:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 22 18:28:50 2022
Received: from localhost ([127.0.0.1]:46627 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nsu43-0008St-5A
	for submit <at> debbugs.gnu.org; Sun, 22 May 2022 18:28:50 -0400
Received: from out2.migadu.com ([188.165.223.204]:53930)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1nsu3r-0008S3-0l
 for 48702 <at> debbugs.gnu.org; Sun, 22 May 2022 18:28:38 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1653258509;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=aPBAltpkwN8S5Q4OL+mrWov4GrR0kd5SKPAO9ySV4z4=;
 b=QY+9SnNaH/z1iqhNNz4NujRpibQy06SYTd2hhU3iFhJUFSZ0GABzu68difv8VeOyyJuHis
 J1ZSVDWwb5cIzs/bGILyP/XvUhn6iThI9r5scWfIFxp7cYgO1RmI1QzFeYlBTPkWX/lNJd
 lujuwVX1HHGsmNRcWmJOxJM+4ME/YjJ553Q4OOFtSGU67sBsQPOSc8KQt2+7lHxcIO+MYR
 xIoI2hrnL8dGV3J9D9ZtRRMHmpHb5EiG3ri3mNf1swy+c2KT4N7I6YRVYLTrOnI1Y/zSEs
 z7bVS+rj7dowgMnsSVGPff/JazSv33jsxo2QJzVSu50uk49SyJeBpRXgbzfMTw==
From: Kyle Meyer <kyle@HIDDEN>
To: 48702 <at> debbugs.gnu.org
Subject: [PATCH v6 2/4] gnu: Add patatt.
Date: Sun, 22 May 2022 18:28:05 -0400
Message-Id: <20220522222807.332757-3-kyle@HIDDEN>
In-Reply-To: <20220522222807.332757-1-kyle@HIDDEN>
References: <20211218070648.278181-1-kyle@HIDDEN>
 <20220522222807.332757-1-kyle@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: kyleam.com
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48702
Cc: =?UTF-8?q?Ludovic=20Court=C3=A8s?= <ludo@HIDDEN>,
 Xinglu Chen <public@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/version-control.scm (patatt): New variable.
---
 gnu/packages/version-control.scm | 24 +++++++++++++++++++++++-
 1 file changed, 23 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/version-control.scm b/gnu/packages/version-control.scm
index db5b53147c..044cde460a 100644
--- a/gnu/packages/version-control.scm
+++ b/gnu/packages/version-control.scm
@@ -7,7 +7,7 @@
 ;;; Copyright © 2014, 2015, 2016 Mark H Weaver <mhw@HIDDEN>
 ;;; Copyright © 2014, 2016, 2019, 2021 Eric Bavier <bavier@HIDDEN>
 ;;; Copyright © 2015, 2016, 2017, 2018, 2019, 2020, 2021, 2022 Efraim Flashner <efraim@HIDDEN>
-;;; Copyright © 2015, 2018, 2020, 2021 Kyle Meyer <kyle@HIDDEN>
+;;; Copyright © 2015, 2018, 2020, 2021, 2022 Kyle Meyer <kyle@HIDDEN>
 ;;; Copyright © 2015, 2017, 2018, 2020 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2016, 2017 Leo Famulari <leo@HIDDEN>
 ;;; Copyright © 2016, 2017, 2018 Nikita <nikita@HIDDEN>
@@ -2577,6 +2577,28 @@ (define-public grokmirror
 based on a manifest file published by servers.")
     (license license:gpl3+)))
 
+(define-public patatt
+  (package
+    (name "patatt")
+    (version "0.4.9")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "patatt" version))
+       (sha256
+        (base32 "0fpbkmdlnz9s1lakw11jlrzpz4mb6f4dksdiir9g1ppq0g34sy58"))))
+    (build-system python-build-system)
+    (arguments '(#:tests? #f))          ; No tests.
+    (propagated-inputs
+     (list python-pynacl))
+    (home-page "https://git.kernel.org/pub/scm/utils/patatt/patatt.git")
+    (synopsis "Tool for cryptographic patch attestation")
+    (description "This utility provides end-to-end cryptographic attestation
+of patches sent via mail.  It does so by adapting the DKIM email signature
+standard to include cryptographic signatures via the X-Developer-Signature
+email header.")
+    (license license:expat-0)))
+
 (define-public b4
   (package
     (name "b4")
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#48702; Package guix-patches. Full text available.

Message received at 48702 <at> debbugs.gnu.org:


Received: (at 48702) by debbugs.gnu.org; 22 May 2022 22:28:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 22 18:28:43 2022
Received: from localhost ([127.0.0.1]:46625 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nsu3y-0008Si-M4
	for submit <at> debbugs.gnu.org; Sun, 22 May 2022 18:28:43 -0400
Received: from out0.migadu.com ([94.23.1.103]:46588)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1nsu3m-0008Rr-8U
 for 48702 <at> debbugs.gnu.org; Sun, 22 May 2022 18:28:37 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1653258504;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=TQKvFBBCsaNAAsfVxEp7sMW57lh1KnBiOTL2wB7ouEE=;
 b=to6Q5DXjRhuO6OPmXfRDJZE7PV35rcIILt2rflYjvmU3DX5wK54+6t5idCixmkmWfBLbqt
 8KyiJdvrVvaddp5an+lHp7brcPnXqgJAw23X0Sj4YcuZUKidb46YOKT0Rp76Pp/iqyPlkL
 KcCf171dUm+yKlIcxk3LKGUW7ZiCyS2Dn9CiG/1YfWwUFURxOOOcC6qs5h8nj0CRvImxhP
 rkc96+7dQcrzLh6UFLjb4KfgOwVykl6t0YFEDAhF9IeWsUyHMY2spRxHVJ1EarSrqE9O1I
 bJ8LQKlE5JRWnrzA3UAy4epRxUro44pkI35bsVpyunxDgmAM1helcd2Vc+9CJw==
From: Kyle Meyer <kyle@HIDDEN>
To: 48702 <at> debbugs.gnu.org
Subject: [PATCH v6 1/4] licenses: Add Expat No Attribution license.
Date: Sun, 22 May 2022 18:28:04 -0400
Message-Id: <20220522222807.332757-2-kyle@HIDDEN>
In-Reply-To: <20220522222807.332757-1-kyle@HIDDEN>
References: <20211218070648.278181-1-kyle@HIDDEN>
 <20220522222807.332757-1-kyle@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: kyleam.com
X-Spam-Score: 1.6 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * guix/licenses.scm (expat-0): New variable. *
 guix/import/utils.scm
 (spdx-string->license): Add MIT-0. --- guix/import/utils.scm | 2 ++
 guix/licenses.scm
 | 10 +++++++++- 2 files changed, 11 insertion [...] 
 Content analysis details:   (1.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 48702
Cc: =?UTF-8?q?Ludovic=20Court=C3=A8s?= <ludo@HIDDEN>,
 Xinglu Chen <public@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

* guix/licenses.scm (expat-0): New variable.
* guix/import/utils.scm (spdx-string->license): Add MIT-0.
---
 guix/import/utils.scm |  2 ++
 guix/licenses.scm     | 10 +++++++++-
 2 files changed, 11 insertions(+), 1 deletion(-)

diff --git a/guix/import/utils.scm b/guix/import/utils.scm
index 9cadbb3d5f..810de4434c 100644
--- a/guix/import/utils.scm
+++ b/guix/import/utils.scm
@@ -11,6 +11,7 @@
 ;;; Copyright © 2021 Sarah Morgensen <iskarian@HIDDEN>
 ;;; Copyright © 2021 Xinglu Chen <public@HIDDEN>
 ;;; Copyright © 2022 Alice Brenon <alice.brenon@HIDDEN>
+;;; Copyright © 2022 Kyle Meyer <kyle@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -167,6 +168,7 @@ (define (spdx-string->license str)
     ("CPL-1.0"                     'license:cpl1.0)
     ("EPL-1.0"                     'license:epl1.0)
     ("MIT"                         'license:expat)
+    ("MIT-0"                       'license:expat-0)
     ("FTL"                         'license:freetype)
     ("Freetype"                    'license:freetype)
     ("GFDL-1.1"                    'license:fdl1.1+)
diff --git a/guix/licenses.scm b/guix/licenses.scm
index 82ca44f42e..3b820ae07e 100644
--- a/guix/licenses.scm
+++ b/guix/licenses.scm
@@ -19,6 +19,7 @@
 ;;; Copyright © 2021 Felix Gruber <felgru@HIDDEN>
 ;;; Copyright © 2021 Xinglu Chen <public@HIDDEN>
 ;;; Copyright © 2021 Noisytoot <noisytoot@HIDDEN>
+;;; Copyright © 2021 Kyle Meyer <kyle@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -57,7 +58,7 @@ (define-module (guix licenses)
             epl1.0
             epl2.0
             eupl1.2
-            expat
+            expat expat-0
             freetype
             freebsd-doc
             giftware
@@ -315,6 +316,13 @@ (define expat
            "http://directory.fsf.org/wiki/License:Expat"
            "https://www.gnu.org/licenses/license-list.html#Expat"))
 
+(define expat-0
+  (license "Expat No Attribution"
+           ;; Note: There is a later formulation of the same license at
+           ;; <https://github.com/aws/mit-0>.
+           "https://romanrm.net/mit-zero"
+           "Expat license with the attribution paragraph removed."))
+
 (define freetype
   (license "Freetype"
            "http://directory.fsf.org/wiki/License:Freetype"
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#48702; Package guix-patches. Full text available.

Message received at 48702 <at> debbugs.gnu.org:


Received: (at 48702) by debbugs.gnu.org; 22 May 2022 22:28:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 22 18:28:36 2022
Received: from localhost ([127.0.0.1]:46621 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nsu3w-0008SM-EZ
	for submit <at> debbugs.gnu.org; Sun, 22 May 2022 18:28:36 -0400
Received: from out2.migadu.com ([188.165.223.204]:53986)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1nsu3t-0008S6-IU
 for 48702 <at> debbugs.gnu.org; Sun, 22 May 2022 18:28:34 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1653258513;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=csfp9uO0rjPahW3XIPcMoKhvjcOkmvxN0vBbbZBXs6o=;
 b=dO58AT7WkJcR0fdeXTdOKRqaoG/EXYXgpVtlrGecDYwBviG9BjS4SX9Uo312m6Vvzr7fA2
 dx6gsNFGQtpCPfvq9jFSeOMNapAvR34OmhObMKKbWgUwuPqoyP4dpIompiBxX2yAQMau89
 eINtX6P4wMNTnn0hmVezqo1/KKmNXNrR5lDQPQgfqOTvDwTfUpehxG3qTwshsRYVNS+6f9
 UbR/O2PwTuDnUo+Q1EszOdD8mKsADXXLal1K1Qy2STF98y3aAbfNf3ANBoYYZwruL1O7YK
 +IM2/17TF1fQyJdukhC6nsvx1LU8mkxAbOlBY3RP38GBZFcap9vESQEZsDw2qg==
From: Kyle Meyer <kyle@HIDDEN>
To: 48702 <at> debbugs.gnu.org
Subject: [PATCH v6 3/4] gnu: b4: Drop now unneeded snippet.
Date: Sun, 22 May 2022 18:28:06 -0400
Message-Id: <20220522222807.332757-4-kyle@HIDDEN>
In-Reply-To: <20220522222807.332757-1-kyle@HIDDEN>
References: <20211218070648.278181-1-kyle@HIDDEN>
 <20220522222807.332757-1-kyle@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: kyleam.com
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48702
Cc: =?UTF-8?q?Ludovic=20Court=C3=A8s?= <ludo@HIDDEN>,
 Xinglu Chen <public@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/version-control.scm (b4) [source]: Drop snippet for issue that
is now fixed upstream.
---
 gnu/packages/version-control.scm | 10 +---------
 1 file changed, 1 insertion(+), 9 deletions(-)

diff --git a/gnu/packages/version-control.scm b/gnu/packages/version-control.scm
index 044cde460a..43ae1eec46 100644
--- a/gnu/packages/version-control.scm
+++ b/gnu/packages/version-control.scm
@@ -2608,15 +2608,7 @@ (define-public b4
        (method url-fetch)
        (uri (pypi-uri "b4" version))
        (sha256
-        (base32 "115ysciq15sxc8fd9hf7p0f4wnd5xapcfkmq8g33y1c8nbdxclbx"))
-       (modules '((guix build utils)))
-       (snippet
-        '(begin
-           ;; Fixes issue with dependency requirements being too strict. See upstream commit:
-           ;; https://git.kernel.org/pub/scm/utils/b4/b4.git/commit/?id=31348a14afdb1d39e7faf9576eaddea1ced76e19
-           (substitute* "setup.py"
-             (("~=") ">="))
-           #t))))
+        (base32 "115ysciq15sxc8fd9hf7p0f4wnd5xapcfkmq8g33y1c8nbdxclbx"))))
     (build-system python-build-system)
     (arguments
      (list #:tests? #f                  ;no tests
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#48702; Package guix-patches. Full text available.

Message received at 48702 <at> debbugs.gnu.org:


Received: (at 48702) by debbugs.gnu.org; 22 May 2022 22:28:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 22 18:28:34 2022
Received: from localhost ([127.0.0.1]:46613 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nsu3m-0008Ry-5x
	for submit <at> debbugs.gnu.org; Sun, 22 May 2022 18:28:34 -0400
Received: from out1.migadu.com ([91.121.223.63]:31494)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1nsu3i-0008Rk-0C
 for 48702 <at> debbugs.gnu.org; Sun, 22 May 2022 18:28:25 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1653258500;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=K8mrZdfmxXrvf4r8JdcSOPV1//2wqH8KZTXDl8hIgqs=;
 b=oPk5G8Gu/9mRTluLUmEvFCKkRlTDihcFVIsJthQGeRJ1nQNmzsTGoEvU5QHeRZ77hW2xOY
 3aeMalYil4WUHY+dq6vzi5nPLpj4xAwQ2wU1hCi1I9LjnhXhijb1XYsC9ZzcKQtdhbcxSR
 0fiw/Ism5tI1llnkgJ8Rt/7Hft5tj9SlOpylWVDaxdZWsl3gUTz3Goo825XOiwNwmeXVIv
 cQi+QHNBKjMNFHCY9umyjUNys4kVIsYhuxt5fFw4gOYJan7/SYKHN4bFypZn5D/tQZ8lNK
 20/Zh530YXFgIXs0UXr8R8/w7OB8VW5gQAqbTJu9qpF0FuM5MZu/k9mlV2zdCA==
From: Kyle Meyer <kyle@HIDDEN>
To: 48702 <at> debbugs.gnu.org
Subject: [PATCH v6 0/4] Add patatt and enable patch attestation for b4
Date: Sun, 22 May 2022 18:28:03 -0400
Message-Id: <20220522222807.332757-1-kyle@HIDDEN>
In-Reply-To: <20211218070648.278181-1-kyle@HIDDEN>
References: <20211218070648.278181-1-kyle@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: kyleam.com
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: 48702
Cc: =?UTF-8?q?Ludovic=20Court=C3=A8s?= <ludo@HIDDEN>,
 Xinglu Chen <public@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.6 (/)

0780164f1f (gnu: b4: Update to 0.8.0, 2022-05-05) updated b4, so the version
bump from v5 is now stale.  However, there are still two useful parts:

  * the addition of patatt, which b4 uses to enable patch attestation
  * the removal of a now unneeded workaround from b4's definition

Here's a reroll that puts these changes on top of the current master.

  [1/4] licenses: Add Expat No Attribution license.
  [2/4] gnu: Add patatt.
  [3/4] gnu: b4: Drop now unneeded snippet.
  [4/4] gnu: b4: Enable patch attestation.

 gnu/packages/version-control.scm | 36 +++++++++++++++++++++++---------
 guix/import/utils.scm            |  2 ++
 guix/licenses.scm                | 10 ++++++++-
 3 files changed, 37 insertions(+), 11 deletions(-)

Range-diff against v5:
1:  7b932e8ea4 ! 1:  fea8928d10 licenses: Add Expat No Attribution license.
    @@ Commit message
     
      ## guix/import/utils.scm ##
     @@
    - ;;; Copyright © 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
      ;;; Copyright © 2021 Sarah Morgensen <iskarian@HIDDEN>
      ;;; Copyright © 2021 Xinglu Chen <public@HIDDEN>
    -+;;; Copyright © 2021 Kyle Meyer <kyle@HIDDEN>
    + ;;; Copyright © 2022 Alice Brenon <alice.brenon@HIDDEN>
    ++;;; Copyright © 2022 Kyle Meyer <kyle@HIDDEN>
      ;;;
      ;;; This file is part of GNU Guix.
      ;;;
2:  12b48f1bdb ! 2:  cddbbbd581 gnu: Add patatt.
    @@ Commit message
         * gnu/packages/version-control.scm (patatt): New variable.
     
      ## gnu/packages/version-control.scm ##
    +@@
    + ;;; Copyright © 2014, 2015, 2016 Mark H Weaver <mhw@HIDDEN>
    + ;;; Copyright © 2014, 2016, 2019, 2021 Eric Bavier <bavier@HIDDEN>
    + ;;; Copyright © 2015, 2016, 2017, 2018, 2019, 2020, 2021, 2022 Efraim Flashner <efraim@HIDDEN>
    +-;;; Copyright © 2015, 2018, 2020, 2021 Kyle Meyer <kyle@HIDDEN>
    ++;;; Copyright © 2015, 2018, 2020, 2021, 2022 Kyle Meyer <kyle@HIDDEN>
    + ;;; Copyright © 2015, 2017, 2018, 2020 Ricardo Wurmus <rekado@HIDDEN>
    + ;;; Copyright © 2016, 2017 Leo Famulari <leo@HIDDEN>
    + ;;; Copyright © 2016, 2017, 2018 Nikita <nikita@HIDDEN>
     @@ gnu/packages/version-control.scm: (define-public grokmirror
      based on a manifest file published by servers.")
          (license license:gpl3+)))
3:  93595c3c8f < -:  ---------- gnu: b4: Update to 0.8.0.
-:  ---------- > 3:  418567f25c gnu: b4: Drop now unneeded snippet.
-:  ---------- > 4:  9925690051 gnu: b4: Enable patch attestation.

base-commit: 4ba4cb1d49d70a00f7236f60bd92e5eccef573dd
-- 
2.36.1





Information forwarded to guix-patches@HIDDEN:
bug#48702; Package guix-patches. Full text available.

Message received at 48702 <at> debbugs.gnu.org:


Received: (at 48702) by debbugs.gnu.org; 18 Dec 2021 20:20:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 18 15:20:55 2021
Received: from localhost ([127.0.0.1]:43961 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mygCN-0003ni-6d
	for submit <at> debbugs.gnu.org; Sat, 18 Dec 2021 15:20:55 -0500
Received: from out0.migadu.com ([94.23.1.103]:21833)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1mygCJ-0003nU-Hn
 for 48702 <at> debbugs.gnu.org; Sat, 18 Dec 2021 15:20:53 -0500
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1639858850;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=afZu2kVrqngXTrxzBey6ZE1DfFjbpny8cFcMdch1JI8=;
 b=UlGe9izZwk+nFKCjN9JspOGKuFUr2JC9dlZL8zbVz9d6POTG1zFOqMsHOi5VDfK8P3b0ei
 oEty6sob4MXOyksH61rL+i3VSNaSeFa0WkU0OZ8tgh+QD1PIFBwdO5FxMssbLsMhjxRUvN
 4ehXyQUuj71C8UIb4Z91GpJmTd9JgjPEqJkaJThFu1prbQJCzsFVVNYmWdcbr5bH4RJh70
 fB09uhdk98BDfKVxlBOltMO0TcUogcYtV4W11yzvqAAmKW0TwAikKcBm2oGCK7GFac2YAT
 QUvRcfO7viLYKzvpxjZItMK+iOy1VYHZIkSli5vEaX610TMbc0f5SlI+LKa9og==
From: Kyle Meyer <kyle@HIDDEN>
To: Xinglu Chen <public@HIDDEN>
Subject: Re: [PATCH v5 0/3] Add patatt and update b4
In-Reply-To: <87ee69pvid.fsf@HIDDEN>
References: <20210918162853.25997-1-kyle@HIDDEN>
 <20211218070648.278181-1-kyle@HIDDEN> <87ee69pvid.fsf@HIDDEN>
Date: Sat, 18 Dec 2021 15:20:48 -0500
Message-ID: <878rwhacm7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: kyleam.com
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48702
Cc: 48702 <at> debbugs.gnu.org, Aleksandr Vityazev <avityazev@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Xinglu Chen writes:

> Both packages build fine for me; b4 works as expected;

Thanks for testing.

> I haven=E2=80=99t gotten around to setup patatt yet, but =E2=80=98patatt =
--help=E2=80=99 works
> fine.

I haven't tested the sender's side of things (e.g., running `patatt
sign'), but I've tried out the receiving end:

  * move into a clone of the patatt repo in order to make uses of its
    existing .keys/ subdirectory

  * pull in a message from https://lore.kernel.org for one of these keys

One example:

--8<---------------cut here---------------start------------->8---
$ tree --charset=3Dascii .keys/openpgp
.keys/openpgp
|-- chromium.org
|   `-- keescook
|       `-- default
`-- linuxfoundation.org
    `-- konstantin
        `-- default

4 directories, 2 files

$ b4 am 20211215232432.2069605-1-keescook@HIDDEN
Looking up https://lore.kernel.org/r/20211215232432.2069605-1-keescook%40ch=
romium.org
Grabbing thread from lore.kernel.org/all/20211215232432.2069605-1-keescook%=
40chromium.org/t.mbox.gz
Analyzing 3 messages in the thread
Checking attestation on all messages, may take a moment...
---
  =E2=9C=93 [PATCH] iommu: Use correctly sized arguments for bit field
    + Acked-by: Yury Norov <yury.norov@HIDDEN> (=E2=9C=93 DKIM/gmail.com)
  ---
  =E2=9C=93 Signed: openpgp/keescook@HIDDEN
  =E2=9C=93 Signed: DKIM/chromium.org
---
Total patches: 1
---
 Link: https://lore.kernel.org/r/20211215232432.2069605-1-keescook@chromium=
.org
 Base: not specified
       git am ./20211215_keescook_iommu_use_correctly_sized_arguments_for_b=
it_field.mbx
--8<---------------cut here---------------end--------------->8---

If the same `b4 am' command is invoked without those keys in place, I
instead see


  =E2=9C=97 No key: openpgp/keescook@HIDDEN
  =E2=9C=93 Signed: DKIM/chromium.org

So, things seem to be wired up okay.  (The `b4 --debug am' output for
the same command looks okay too.)

> I also took the opportunity to test the =E2=80=98guix review=E2=80=99 com=
mand that
> I have started to work on.  :-)

Neat, thanks for the sneak peek.




Information forwarded to guix-patches@HIDDEN:
bug#48702; Package guix-patches. Full text available.

Message received at 48702 <at> debbugs.gnu.org:


Received: (at 48702) by debbugs.gnu.org; 18 Dec 2021 07:07:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 18 02:07:14 2021
Received: from localhost ([127.0.0.1]:41160 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1myToF-00086k-BO
	for submit <at> debbugs.gnu.org; Sat, 18 Dec 2021 02:07:14 -0500
Received: from out1.migadu.com ([91.121.223.63]:45219)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1myTo4-00085R-Ji
 for 48702 <at> debbugs.gnu.org; Sat, 18 Dec 2021 02:07:07 -0500
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1639811219;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=TS7a5sK5L43xMg9bxghBSvJVu9t7uV/GbCLkFYiuwAM=;
 b=bM/nSEOKEMdL5Ytla+i4+8T3+t7mgSXVzYtk+AoS+CzFc2qEFsMb4sOzDkqLfSdkt6AVWp
 CRmHFUei5y7VawvydM5022nan22VQngPn2TbXPNm1uwGw6Aiv31MR6ZPS3Mbpbg29XyyZH
 RBQIpjeEgFWoDQRO2Yf9G3i7FPsekYcr239SM9Wz3hlL2XFnVMjRdd2vrQWQNxt+LymCeh
 CTg7ixdHHY2nT/gx4HXz+Qz0Y4WnRoDWFWouWwThCORu93WF+PGDf4L73GKejcEasuTXme
 xhMLawtrAA2JbxPW5103T52Qtzn6hQV0n8qKHk9+Py9brePIydGvUVevvotDCA==
From: Kyle Meyer <kyle@HIDDEN>
To: 48702 <at> debbugs.gnu.org
Subject: [PATCH v5 1/3] licenses: Add Expat No Attribution license.
Date: Sat, 18 Dec 2021 02:06:46 -0500
Message-Id: <20211218070648.278181-2-kyle@HIDDEN>
In-Reply-To: <20211218070648.278181-1-kyle@HIDDEN>
References: <20210918162853.25997-1-kyle@HIDDEN>
 <20211218070648.278181-1-kyle@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: kyleam.com
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * guix/licenses.scm (expat-0): New variable. *
 guix/import/utils.scm
 (spdx-string->license): Add MIT-0. --- guix/import/utils.scm | 2 ++
 guix/licenses.scm
 | 10 +++++++++- 2 files changed, 11 insertion [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [91.121.223.63 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [91.121.223.63 listed in wl.mailspike.net]
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 T_SPF_TEMPERROR        SPF: test of record failed (temperror)
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 48702
Cc: Xinglu Chen <public@HIDDEN>,
 Aleksandr Vityazev <avityazev@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* guix/licenses.scm (expat-0): New variable.
* guix/import/utils.scm (spdx-string->license): Add MIT-0.
---
 guix/import/utils.scm |  2 ++
 guix/licenses.scm     | 10 +++++++++-
 2 files changed, 11 insertions(+), 1 deletion(-)

diff --git a/guix/import/utils.scm b/guix/import/utils.scm
index 1c3cfa3e0b..281258122e 100644
--- a/guix/import/utils.scm
+++ b/guix/import/utils.scm
@@ -10,6 +10,7 @@
 ;;; Copyright © 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright © 2021 Sarah Morgensen <iskarian@HIDDEN>
 ;;; Copyright © 2021 Xinglu Chen <public@HIDDEN>
+;;; Copyright © 2021 Kyle Meyer <kyle@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -165,6 +166,7 @@ (define (spdx-string->license str)
     ("CPL-1.0"                     'license:cpl1.0)
     ("EPL-1.0"                     'license:epl1.0)
     ("MIT"                         'license:expat)
+    ("MIT-0"                       'license:expat-0)
     ("FTL"                         'license:freetype)
     ("Freetype"                    'license:freetype)
     ("GFDL-1.1"                    'license:fdl1.1+)
diff --git a/guix/licenses.scm b/guix/licenses.scm
index 82ca44f42e..3b820ae07e 100644
--- a/guix/licenses.scm
+++ b/guix/licenses.scm
@@ -19,6 +19,7 @@
 ;;; Copyright © 2021 Felix Gruber <felgru@HIDDEN>
 ;;; Copyright © 2021 Xinglu Chen <public@HIDDEN>
 ;;; Copyright © 2021 Noisytoot <noisytoot@HIDDEN>
+;;; Copyright © 2021 Kyle Meyer <kyle@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -57,7 +58,7 @@ (define-module (guix licenses)
             epl1.0
             epl2.0
             eupl1.2
-            expat
+            expat expat-0
             freetype
             freebsd-doc
             giftware
@@ -315,6 +316,13 @@ (define expat
            "http://directory.fsf.org/wiki/License:Expat"
            "https://www.gnu.org/licenses/license-list.html#Expat"))
 
+(define expat-0
+  (license "Expat No Attribution"
+           ;; Note: There is a later formulation of the same license at
+           ;; <https://github.com/aws/mit-0>.
+           "https://romanrm.net/mit-zero"
+           "Expat license with the attribution paragraph removed."))
+
 (define freetype
   (license "Freetype"
            "http://directory.fsf.org/wiki/License:Freetype"
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#48702; Package guix-patches. Full text available.

Message received at 48702 <at> debbugs.gnu.org:


Received: (at 48702) by debbugs.gnu.org; 18 Dec 2021 07:07:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 18 02:07:09 2021
Received: from localhost ([127.0.0.1]:41158 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1myToA-00086N-50
	for submit <at> debbugs.gnu.org; Sat, 18 Dec 2021 02:07:09 -0500
Received: from out0.migadu.com ([94.23.1.103]:52033)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1myTo7-000862-Rz
 for 48702 <at> debbugs.gnu.org; Sat, 18 Dec 2021 02:07:04 -0500
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1639811222;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=hbmIuvXLV2IpaUoOQVMPAmj7tpUpUfzloltY/+O24uM=;
 b=c2vxCz4lWUdkKjIlBjH1y99q6Ff6JjuMR4RhGPUIUGFxDLi2ZQFosmA/oEkFEB+wd/hW8y
 +2PFPR2VG4WGtOyUh9/c3YrjOOVN5U++kUN6Nctw706CUAManAKW8/DNFJ9UhyIhbHFrO1
 t9Za8nDLB3UFz7HFhUfg/48jX5lcntymSkfpJgR6hmP/2c5H7K7wiZVQxB1zHVJXlQw8xe
 h5HL9n2qnVII0prROcmDlOdQm+W+CLBLbpJe2DCU1SVEyifhT8ZOy4V4N3mON7mQbcefVo
 t7BWiGQDkAIy12K5nBp3uMm21f6IDDAdPZ6drF7gDQOu2T/c3mhyYqcbqWB8nQ==
From: Kyle Meyer <kyle@HIDDEN>
To: 48702 <at> debbugs.gnu.org
Subject: [PATCH v5 3/3] gnu: b4: Update to 0.8.0.
Date: Sat, 18 Dec 2021 02:06:48 -0500
Message-Id: <20211218070648.278181-4-kyle@HIDDEN>
In-Reply-To: <20211218070648.278181-1-kyle@HIDDEN>
References: <20210918162853.25997-1-kyle@HIDDEN>
 <20211218070648.278181-1-kyle@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: kyleam.com
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48702
Cc: Xinglu Chen <public@HIDDEN>,
 Aleksandr Vityazev <avityazev@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/version-control.scm (b4): Update to 0.8.0.
[propagated-inputs]: Add patatt.
[source]: Drop snippet for issue that is now fixed upstream.
---
 gnu/packages/version-control.scm | 14 ++++----------
 1 file changed, 4 insertions(+), 10 deletions(-)

diff --git a/gnu/packages/version-control.scm b/gnu/packages/version-control.scm
index 3de7ed50a8..c5d34b6cea 100644
--- a/gnu/packages/version-control.scm
+++ b/gnu/packages/version-control.scm
@@ -2562,25 +2562,19 @@ (define-public patatt
 (define-public b4
   (package
     (name "b4")
-    (version "0.6.2")
+    (version "0.8.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "b4" version))
        (sha256
-        (base32 "1j904dy9cwxl85k2ngc498q5cdnqwsmw3jibjr1m55w8aqdck68z"))
-       (modules '((guix build utils)))
-       (snippet
-        '(begin
-           ;; Fixes issue with dependency requirements being too strict. See upstream commit:
-           ;; https://git.kernel.org/pub/scm/utils/b4/b4.git/commit/?id=31348a14afdb1d39e7faf9576eaddea1ced76e19
-           (substitute* "setup.py"
-             (("~=") ">="))
-           #t))))
+        (base32 "115ysciq15sxc8fd9hf7p0f4wnd5xapcfkmq8g33y1c8nbdxclbx"))))
     (build-system python-build-system)
     (arguments '(#:tests? #f))          ; No tests.
     (inputs
      (list python-dkimpy python-dnspython python-requests))
+    (propagated-inputs
+     (list patatt))
     (home-page "https://git.kernel.org/pub/scm/utils/b4/b4.git")
     (synopsis "Tool for working with patches in public-inbox archives")
     (description
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#48702; Package guix-patches. Full text available.

Message received at 48702 <at> debbugs.gnu.org:


Received: (at 48702) by debbugs.gnu.org; 18 Dec 2021 07:07:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 18 02:07:06 2021
Received: from localhost ([127.0.0.1]:41156 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1myTo9-00086L-U7
	for submit <at> debbugs.gnu.org; Sat, 18 Dec 2021 02:07:06 -0500
Received: from out1.migadu.com ([91.121.223.63]:45234)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1myTo5-00085Z-Hc
 for 48702 <at> debbugs.gnu.org; Sat, 18 Dec 2021 02:07:02 -0500
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1639811221;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=DSymw5r+gwubnL6B5jlMM9mmJuCs7hpDGlXdgBZBPjg=;
 b=wQQBlmIzvAfQLLzynLILwn5DkIOTkbRLl1d8JWsionDaST02x2cd9wl2Uu0CXlfFB2X9xH
 octuccs7Diq4hJE6EGG4YSBGb4ppvI4GWnLtQvzbgoqBPpbBD+up6rPRFEf/9DCDEhtR4I
 59MHrxzIdzVao2FUufrwDakH7QYp/TRFhJj1hbV6j0wuGsJRf+ITrj0VK8J40jQ15zG+AY
 7VjUCZodog0wx9nq4bKvydwNX+BKMs5TBiZ/usvxcJYX9MnkbnIVXIIqkHJG0qM6auQguZ
 +BGsnpxKbQqatKWo8fy9JTJZYgBmmOeQUdm9x0ygwDAYLouSC2CACM4Tchu7rQ==
From: Kyle Meyer <kyle@HIDDEN>
To: 48702 <at> debbugs.gnu.org
Subject: [PATCH v5 2/3] gnu: Add patatt.
Date: Sat, 18 Dec 2021 02:06:47 -0500
Message-Id: <20211218070648.278181-3-kyle@HIDDEN>
In-Reply-To: <20211218070648.278181-1-kyle@HIDDEN>
References: <20210918162853.25997-1-kyle@HIDDEN>
 <20211218070648.278181-1-kyle@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: kyleam.com
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48702
Cc: Xinglu Chen <public@HIDDEN>,
 Aleksandr Vityazev <avityazev@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/version-control.scm (patatt): New variable.
---
 gnu/packages/version-control.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/version-control.scm b/gnu/packages/version-control.scm
index 8044370dfb..3de7ed50a8 100644
--- a/gnu/packages/version-control.scm
+++ b/gnu/packages/version-control.scm
@@ -2537,6 +2537,28 @@ (define-public grokmirror
 based on a manifest file published by servers.")
     (license license:gpl3+)))
 
+(define-public patatt
+  (package
+    (name "patatt")
+    (version "0.4.9")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "patatt" version))
+       (sha256
+        (base32 "0fpbkmdlnz9s1lakw11jlrzpz4mb6f4dksdiir9g1ppq0g34sy58"))))
+    (build-system python-build-system)
+    (arguments '(#:tests? #f))          ; No tests.
+    (propagated-inputs
+     (list python-pynacl))
+    (home-page "https://git.kernel.org/pub/scm/utils/patatt/patatt.git")
+    (synopsis "Tool for cryptographic patch attestation")
+    (description "This utility provides end-to-end cryptographic attestation
+of patches sent via mail.  It does so by adapting the DKIM email signature
+standard to include cryptographic signatures via the X-Developer-Signature
+email header.")
+    (license license:expat-0)))
+
 (define-public b4
   (package
     (name "b4")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#48702; Package guix-patches. Full text available.

Message received at 48702 <at> debbugs.gnu.org:


Received: (at 48702) by debbugs.gnu.org; 18 Dec 2021 07:07:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 18 02:07:01 2021
Received: from localhost ([127.0.0.1]:41149 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1myTo5-00085a-FT
	for submit <at> debbugs.gnu.org; Sat, 18 Dec 2021 02:07:01 -0500
Received: from out2.migadu.com ([188.165.223.204]:44566)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1myTo2-00085O-Lf
 for 48702 <at> debbugs.gnu.org; Sat, 18 Dec 2021 02:07:00 -0500
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1639811216;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=SJvvq4rU63CaD6yCIR83GE0d1oS+/GF8WsQCLtV0tLU=;
 b=wFJNW5NRXSSlIkvV6B/x06YGIidMLvyCQJ0VWZ8SbRkboegucu06mJow8Ew81gtbbzEiyo
 TpKBpgl+wKbMr0hsIaJNrFvdnBLqhkInAhtcIuoVpdIaDST7E1hrxuaC82OfN1v+CpWjto
 TqAnrgWaXQBb6599TePAWy9PME5K/oL7Z7gRNnnLeBA+KJGGjJzvIrzjzfKQ8y5KrY66BW
 Skkz4GZ0OxkYT4BEgrn+kKz1kyI6IBJRg8vyS7SE40wtmYkEdKpO8NfRVgRyAAfAwY+ETJ
 aqoFuce0LL0khWjM+QH+tMd7n8x0F+AWPqXaWYpNX2j+CW0krpHbQge3VGyVHA==
From: Kyle Meyer <kyle@HIDDEN>
To: 48702 <at> debbugs.gnu.org
Subject: [PATCH v5 0/3] Add patatt and update b4
Date: Sat, 18 Dec 2021 02:06:45 -0500
Message-Id: <20211218070648.278181-1-kyle@HIDDEN>
In-Reply-To: <20210918162853.25997-1-kyle@HIDDEN>
References: <20210918162853.25997-1-kyle@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: kyleam.com
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Here's another reroll that 1) deals with conflicts that have
 popped up in guix/import/utils.scm 2) increases the patatt version to account
 for release that happened since v5 was sent 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [188.165.223.204 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 48702
Cc: Xinglu Chen <public@HIDDEN>,
 Aleksandr Vityazev <avityazev@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Here's another reroll that

 1) deals with conflicts that have popped up in guix/import/utils.scm

 2) increases the patatt version to account for release that happened since v5
    was sent

 3) updates inputs according to `guix style'

Note that updating b4 to 0.8.0 resolves the b4 build failure reported in
bug#52553 (<87ilvo7h5t.fsf@HIDDEN>).

---

This series updates b4 to the latest version.  b4 now uses a separate tool for
patch attestation (added in patch 2), which in turn uses a license that's not
in guix/licenses.scm (added in patch 1).

  [1/3] licenses: Add Expat No Attribution license.
  [2/3] gnu: Add patatt.
  [3/3] gnu: b4: Update to 0.8.0.

 gnu/packages/version-control.scm | 36 +++++++++++++++++++++++---------
 guix/import/utils.scm            |  2 ++
 guix/licenses.scm                | 10 ++++++++-
 3 files changed, 37 insertions(+), 11 deletions(-)

Range-diff against v4:
1:  5ce84815bc ! 1:  7b932e8ea4 licenses: Add Expat No Attribution license.
    @@ Commit message
     
      ## guix/import/utils.scm ##
     @@
    - ;;; Copyright © 2020 Martin Becze <mjbecze@HIDDEN>
      ;;; Copyright © 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
      ;;; Copyright © 2021 Sarah Morgensen <iskarian@HIDDEN>
    + ;;; Copyright © 2021 Xinglu Chen <public@HIDDEN>
     +;;; Copyright © 2021 Kyle Meyer <kyle@HIDDEN>
      ;;;
      ;;; This file is part of GNU Guix.
    @@ guix/import/utils.scm: (define (spdx-string->license str)
          ("MIT"                         'license:expat)
     +    ("MIT-0"                       'license:expat-0)
          ("FTL"                         'license:freetype)
    +     ("Freetype"                    'license:freetype)
          ("GFDL-1.1"                    'license:fdl1.1+)
    -     ("GFDL-1.2"                    'license:fdl1.2+)
     
      ## guix/licenses.scm ##
     @@
2:  1cfd954f31 ! 2:  12b48f1bdb gnu: Add patatt.
    @@ Commit message
         * gnu/packages/version-control.scm (patatt): New variable.
     
      ## gnu/packages/version-control.scm ##
    -@@ gnu/packages/version-control.scm: (define-module (gnu packages version-control)
    -   #:use-module (gnu packages python)
    -   #:use-module (gnu packages python-build)
    -   #:use-module (gnu packages python-check)
    -+  #:use-module (gnu packages python-crypto)
    -   #:use-module (gnu packages python-web)
    -   #:use-module (gnu packages python-xyz)
    -   #:use-module (gnu packages readline)
     @@ gnu/packages/version-control.scm: (define-public grokmirror
      based on a manifest file published by servers.")
          (license license:gpl3+)))
    @@ gnu/packages/version-control.scm: (define-public grokmirror
     +(define-public patatt
     +  (package
     +    (name "patatt")
    -+    (version "0.4.8")
    ++    (version "0.4.9")
     +    (source
     +     (origin
     +       (method url-fetch)
     +       (uri (pypi-uri "patatt" version))
     +       (sha256
    -+        (base32 "1jj3c2rc5lzgsk3x2bq1295g7h59y9y8vi9a0gzqh3aqka00zqak"))))
    ++        (base32 "0fpbkmdlnz9s1lakw11jlrzpz4mb6f4dksdiir9g1ppq0g34sy58"))))
     +    (build-system python-build-system)
     +    (arguments '(#:tests? #f))          ; No tests.
     +    (propagated-inputs
    -+     `(("python-pynacl" ,python-pynacl)))
    ++     (list python-pynacl))
     +    (home-page "https://git.kernel.org/pub/scm/utils/patatt/patatt.git")
     +    (synopsis "Tool for cryptographic patch attestation")
     +    (description "This utility provides end-to-end cryptographic attestation
3:  520fbecd62 ! 3:  93595c3c8f gnu: b4: Update to 0.8.0.
    @@ gnu/packages/version-control.scm: (define-public patatt
          (build-system python-build-system)
          (arguments '(#:tests? #f))          ; No tests.
          (inputs
    -      `(("python-dkimpy" ,python-dkimpy)
    -        ("python-dnspython" ,python-dnspython)
    -        ("python-requests" ,python-requests)))
    +      (list python-dkimpy python-dnspython python-requests))
     +    (propagated-inputs
    -+     `(("patatt" ,patatt)))
    ++     (list patatt))
          (home-page "https://git.kernel.org/pub/scm/utils/b4/b4.git")
          (synopsis "Tool for working with patches in public-inbox archives")
          (description

base-commit: 3b2b42034c42ccb1dd8845bc03dd3a8053b54aca
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#48702; Package guix-patches. Full text available.

Message received at 48702 <at> debbugs.gnu.org:


Received: (at 48702) by debbugs.gnu.org; 18 Sep 2021 16:29:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 18 12:29:17 2021
Received: from localhost ([127.0.0.1]:36655 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRdDI-0004mz-8n
	for submit <at> debbugs.gnu.org; Sat, 18 Sep 2021 12:29:17 -0400
Received: from out2.migadu.com ([188.165.223.204]:15943)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1mRdD4-0004mF-RD
 for 48702 <at> debbugs.gnu.org; Sat, 18 Sep 2021 12:29:04 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1631982542;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=/XY7nVvGoBwS8Uy9wajPYhYszZBfKb4BT/WCgi5My9g=;
 b=QP1ErdhPD/PycjnJbTOw698rLuptTKE83KKcgb+aTNf6eYCVEak37Cj7nmbXYeDMIEdDVR
 zv7NlvyQygYXF9f5UDYBqMCpMy5I1TLhlLj3de4iwjcYUDXIyZbga6CKrXwraxjvyaw9tC
 ++ZqqHL7X+IMeMId4RVzfCUe0hJ4+Ifpt43MBnQRc37DRB7NWPvL7h+cn0HnNPv0+W2E4R
 TNRs8vRDpTXncmP3fXGKCNRpLjofaJbuM28EAxOTStIZi83fchVOT6Z01cHxYyPDG/xeko
 ePbeefgGE9U+fa9bj+ULcM11gGe1yOluDmytHz5aELOoN4QkfNtMR9NtbJVJwQ==
From: Kyle Meyer <kyle@HIDDEN>
To: 48702 <at> debbugs.gnu.org
Subject: [PATCH v4 3/3] gnu: b4: Update to 0.8.0.
Date: Sat, 18 Sep 2021 12:28:53 -0400
Message-Id: <20210918162853.25997-4-kyle@HIDDEN>
In-Reply-To: <20210918162853.25997-1-kyle@HIDDEN>
References: <20210717130941.25146-1-kyle@HIDDEN>
 <20210918162853.25997-1-kyle@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: kyle@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48702
Cc: Xinglu Chen <public@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/version-control.scm (b4): Update to 0.8.0.
[propagated-inputs]: Add patatt.
[source]: Drop snippet for issue that is now fixed upstream.
---
 gnu/packages/version-control.scm | 14 ++++----------
 1 file changed, 4 insertions(+), 10 deletions(-)

diff --git a/gnu/packages/version-control.scm b/gnu/packages/version-control.scm
index 594a2c2003..e8b52d1b19 100644
--- a/gnu/packages/version-control.scm
+++ b/gnu/packages/version-control.scm
@@ -2526,27 +2526,21 @@ (define-public patatt
 (define-public b4
   (package
     (name "b4")
-    (version "0.6.2")
+    (version "0.8.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "b4" version))
        (sha256
-        (base32 "1j904dy9cwxl85k2ngc498q5cdnqwsmw3jibjr1m55w8aqdck68z"))
-       (modules '((guix build utils)))
-       (snippet
-        '(begin
-           ;; Fixes issue with dependency requirements being too strict. See upstream commit:
-           ;; https://git.kernel.org/pub/scm/utils/b4/b4.git/commit/?id=31348a14afdb1d39e7faf9576eaddea1ced76e19
-           (substitute* "setup.py"
-             (("~=") ">="))
-           #t))))
+        (base32 "115ysciq15sxc8fd9hf7p0f4wnd5xapcfkmq8g33y1c8nbdxclbx"))))
     (build-system python-build-system)
     (arguments '(#:tests? #f))          ; No tests.
     (inputs
      `(("python-dkimpy" ,python-dkimpy)
        ("python-dnspython" ,python-dnspython)
        ("python-requests" ,python-requests)))
+    (propagated-inputs
+     `(("patatt" ,patatt)))
     (home-page "https://git.kernel.org/pub/scm/utils/b4/b4.git")
     (synopsis "Tool for working with patches in public-inbox archives")
     (description
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#48702; Package guix-patches. Full text available.

Message received at 48702 <at> debbugs.gnu.org:


Received: (at 48702) by debbugs.gnu.org; 18 Sep 2021 16:29:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 18 12:29:16 2021
Received: from localhost ([127.0.0.1]:36653 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRdDI-0004ms-0p
	for submit <at> debbugs.gnu.org; Sat, 18 Sep 2021 12:29:16 -0400
Received: from out2.migadu.com ([188.165.223.204]:15933)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1mRdD3-0004lv-6x
 for 48702 <at> debbugs.gnu.org; Sat, 18 Sep 2021 12:29:04 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1631982540;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=SWGmQo2yeczmFvDtGZtupDobLTcmnwrA9QCreHapR04=;
 b=L5ohM0aMmji2W7Xz2dK1WEkTAtRuw90qEooaS6dw4tG0hY736zmcY4tSiiYBmQiNT1WZEP
 9Qc783bp5myp/iAtyasKgJhRQwSPmN5ovtiGZw4NjHpOhjZqr++OqioChV4buAWfTzFrm6
 g684EqnOsu7E/BIBQVClgf5TBtHj02KfnFWREwMpjFgv+tZxIExD0XzHNR1x93MdjfFdKv
 XKgGtGrElg1cyXGsk/NydwgVoCDJIcS/kqeZnRYSPumursruKgvesFrsLRApicwYL6rR5l
 0VTgsO8DjDlWoBkkhOqXxkGtYd9WcqJavC2042mhEQvEJNIoyEceMq0c3/k5/Q==
From: Kyle Meyer <kyle@HIDDEN>
To: 48702 <at> debbugs.gnu.org
Subject: [PATCH v4 2/3] gnu: Add patatt.
Date: Sat, 18 Sep 2021 12:28:52 -0400
Message-Id: <20210918162853.25997-3-kyle@HIDDEN>
In-Reply-To: <20210918162853.25997-1-kyle@HIDDEN>
References: <20210717130941.25146-1-kyle@HIDDEN>
 <20210918162853.25997-1-kyle@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: kyle@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48702
Cc: Xinglu Chen <public@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/version-control.scm (patatt): New variable.
---
 gnu/packages/version-control.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/version-control.scm b/gnu/packages/version-control.scm
index fe84601372..594a2c2003 100644
--- a/gnu/packages/version-control.scm
+++ b/gnu/packages/version-control.scm
@@ -111,6 +111,7 @@ (define-module (gnu packages version-control)
   #:use-module (gnu packages python)
   #:use-module (gnu packages python-build)
   #:use-module (gnu packages python-check)
+  #:use-module (gnu packages python-crypto)
   #:use-module (gnu packages python-web)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages readline)
@@ -2500,6 +2501,28 @@ (define-public grokmirror
 based on a manifest file published by servers.")
     (license license:gpl3+)))
 
+(define-public patatt
+  (package
+    (name "patatt")
+    (version "0.4.8")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "patatt" version))
+       (sha256
+        (base32 "1jj3c2rc5lzgsk3x2bq1295g7h59y9y8vi9a0gzqh3aqka00zqak"))))
+    (build-system python-build-system)
+    (arguments '(#:tests? #f))          ; No tests.
+    (propagated-inputs
+     `(("python-pynacl" ,python-pynacl)))
+    (home-page "https://git.kernel.org/pub/scm/utils/patatt/patatt.git")
+    (synopsis "Tool for cryptographic patch attestation")
+    (description "This utility provides end-to-end cryptographic attestation
+of patches sent via mail.  It does so by adapting the DKIM email signature
+standard to include cryptographic signatures via the X-Developer-Signature
+email header.")
+    (license license:expat-0)))
+
 (define-public b4
   (package
     (name "b4")
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#48702; Package guix-patches. Full text available.

Message received at 48702 <at> debbugs.gnu.org:


Received: (at 48702) by debbugs.gnu.org; 18 Sep 2021 16:29:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 18 12:29:16 2021
Received: from localhost ([127.0.0.1]:36651 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRdDH-0004mk-3S
	for submit <at> debbugs.gnu.org; Sat, 18 Sep 2021 12:29:15 -0400
Received: from out2.migadu.com ([188.165.223.204]:15909)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1mRdD1-0004lm-DA
 for 48702 <at> debbugs.gnu.org; Sat, 18 Sep 2021 12:29:04 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1631982538;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=NlF3c09BBj7U8ZWQLtgYCBU90u352zHRUEvOs0sCuQk=;
 b=OUxf5Mc6RMcorlum4saE3HLBg/pb/MyRSUZv42SobtJ9CAL6+Q+EJ9GQjA6wygDsn1R6Mb
 geZGb3/+uhXXMakPg78ysCGhLNBjG1aoQvNI1U4BOnhzSHe8oPGhxWuoC6Kxgo1WaNX2fO
 fKdHra5qgrOImrk7vcKL22IO7nN0lkktVgkSqn1XH+COzfvCutlokMS3OodioexSRl9T3T
 vfImANZFAY+SyZc8xeNCNc22SzJyI7e8ssF5ox1SXcc0w7RrEOkERvIWzn1lRwC+A+30YB
 hh6BXlbq9LBrbc6f2iRvp92NuEILZo/nIp2WWM7HwO3oIv7RRn8uVXvWmwgnFQ==
From: Kyle Meyer <kyle@HIDDEN>
To: 48702 <at> debbugs.gnu.org
Subject: [PATCH v4 1/3] licenses: Add Expat No Attribution license.
Date: Sat, 18 Sep 2021 12:28:51 -0400
Message-Id: <20210918162853.25997-2-kyle@HIDDEN>
In-Reply-To: <20210918162853.25997-1-kyle@HIDDEN>
References: <20210717130941.25146-1-kyle@HIDDEN>
 <20210918162853.25997-1-kyle@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: kyle@HIDDEN
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * guix/licenses.scm (expat-0): New variable. *
 guix/import/utils.scm
 (spdx-string->license): Add MIT-0. --- guix/import/utils.scm | 2 ++
 guix/licenses.scm
 | 10 +++++++++- 2 files changed, 11 insertion [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 48702
Cc: Xinglu Chen <public@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

* guix/licenses.scm (expat-0): New variable.
* guix/import/utils.scm (spdx-string->license): Add MIT-0.
---
 guix/import/utils.scm |  2 ++
 guix/licenses.scm     | 10 +++++++++-
 2 files changed, 11 insertions(+), 1 deletion(-)

diff --git a/guix/import/utils.scm b/guix/import/utils.scm
index a180742ca3..02ddb6783e 100644
--- a/guix/import/utils.scm
+++ b/guix/import/utils.scm
@@ -9,6 +9,7 @@
 ;;; Copyright © 2020 Martin Becze <mjbecze@HIDDEN>
 ;;; Copyright © 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
 ;;; Copyright © 2021 Sarah Morgensen <iskarian@HIDDEN>
+;;; Copyright © 2021 Kyle Meyer <kyle@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -162,6 +163,7 @@ (define (spdx-string->license str)
     ("CPL-1.0"                     'license:cpl1.0)
     ("EPL-1.0"                     'license:epl1.0)
     ("MIT"                         'license:expat)
+    ("MIT-0"                       'license:expat-0)
     ("FTL"                         'license:freetype)
     ("GFDL-1.1"                    'license:fdl1.1+)
     ("GFDL-1.2"                    'license:fdl1.2+)
diff --git a/guix/licenses.scm b/guix/licenses.scm
index c071aae4a9..fc4077fc85 100644
--- a/guix/licenses.scm
+++ b/guix/licenses.scm
@@ -19,6 +19,7 @@
 ;;; Copyright © 2021 Felix Gruber <felgru@HIDDEN>
 ;;; Copyright © 2021 Xinglu Chen <public@HIDDEN>
 ;;; Copyright © 2021 Noisytoot <noisytoot@HIDDEN>
+;;; Copyright © 2021 Kyle Meyer <kyle@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -57,7 +58,7 @@ (define-module (guix licenses)
             epl1.0
             epl2.0
             eupl1.2
-            expat
+            expat expat-0
             freetype
             freebsd-doc
             giftware
@@ -313,6 +314,13 @@ (define expat
            "http://directory.fsf.org/wiki/License:Expat"
            "https://www.gnu.org/licenses/license-list.html#Expat"))
 
+(define expat-0
+  (license "Expat No Attribution"
+           ;; Note: There is a later formulation of the same license at
+           ;; <https://github.com/aws/mit-0>.
+           "https://romanrm.net/mit-zero"
+           "Expat license with the attribution paragraph removed."))
+
 (define freetype
   (license "Freetype"
            "http://directory.fsf.org/wiki/License:Freetype"
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#48702; Package guix-patches. Full text available.

Message received at 48702 <at> debbugs.gnu.org:


Received: (at 48702) by debbugs.gnu.org; 18 Sep 2021 16:29:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 18 12:29:15 2021
Received: from localhost ([127.0.0.1]:36645 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRdD3-0004lw-4U
	for submit <at> debbugs.gnu.org; Sat, 18 Sep 2021 12:29:15 -0400
Received: from out2.migadu.com ([188.165.223.204]:15896)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1mRdD0-0004lj-8z
 for 48702 <at> debbugs.gnu.org; Sat, 18 Sep 2021 12:29:00 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1631982536;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=JgaYwVg8rFi+nM1ztN8s6Ppw2o/80HWiUSnwU1ZP92g=;
 b=tQgndzH9VvtYe3dZVPwdAq9rN28jtrOlE8wcXkD3Ygbs5dFrwVxfgSI5frI/12Yk2GPFXr
 5vuHl3CztO3D8fJGV3cpznIlbWB9r7vpKcoRyPqRvJvr1r7a2qdWQ1DMnHmZdCcr2fv2FY
 AC+nE7xO8TuQ31KnyT4hbT42Qm4XucuXOcrGHDykcwyefrawcwYpqU7LYvg+656sOzDw2U
 dsaLj2tS6KtvnE9FJTvCVkOSKjcefQTVvA6KZ4iaE5AjOhwNazQr4Kk2fA3AJ7gA2zHiSq
 gkB1h6s/8wTRrM+pK52Rg87lqTvb7ukTnjOfDm3xwq7k0NrgPzGcarJHnQ5byQ==
From: Kyle Meyer <kyle@HIDDEN>
To: 48702 <at> debbugs.gnu.org
Subject: [PATCH v4 0/3] Add patatt and update b4
Date: Sat, 18 Sep 2021 12:28:50 -0400
Message-Id: <20210918162853.25997-1-kyle@HIDDEN>
In-Reply-To: <20210717130941.25146-1-kyle@HIDDEN>
References: <20210717130941.25146-1-kyle@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: kyle@HIDDEN
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Here's another reroll that 1) deals with conflicts that have
 popped up in guix/licenses.scm and 2) accounts for patatt and b4 releases
 that happened since v3 was sent. --- This series updates b4 to the latest
 version. b4 now uses a separate tool for patch attestation (added in patch
 2), which in turn uses a license that's not in guix/licenses.scm (added in
 patch 1). 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [188.165.223.204 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 48702
Cc: Xinglu Chen <public@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Here's another reroll that 1) deals with conflicts that have popped up in
guix/licenses.scm and 2) accounts for patatt and b4 releases that happened
since v3 was sent.

---

This series updates b4 to the latest version.  b4 now uses a separate tool for
patch attestation (added in patch 2), which in turn uses a license that's not
in guix/licenses.scm (added in patch 1).

  [1/3] licenses: Add Expat No Attribution license.
  [2/3] gnu: Add patatt.
  [3/3] gnu: b4: Update to 0.8.0.

 gnu/packages/version-control.scm | 37 +++++++++++++++++++++++---------
 guix/import/utils.scm            |  2 ++
 guix/licenses.scm                | 10 ++++++++-
 3 files changed, 38 insertions(+), 11 deletions(-)

Range-diff against v3:
1:  bda992a993 ! 1:  6c2a380249 licenses: Add Expat No Attribution license.
    @@ Commit message

      ## guix/import/utils.scm ##
     @@
    - ;;; Copyright © 2020 Helio Machado <0x2b3bfa0+guix@HIDDEN>
      ;;; Copyright © 2020 Martin Becze <mjbecze@HIDDEN>
      ;;; Copyright © 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
    + ;;; Copyright © 2021 Sarah Morgensen <iskarian@HIDDEN>
     +;;; Copyright © 2021 Kyle Meyer <kyle@HIDDEN>
      ;;;
      ;;; This file is part of GNU Guix.
    @@ guix/import/utils.scm: (define (spdx-string->license str)

      ## guix/licenses.scm ##
     @@
    - ;;; Copyright © 2020 Helio Machado <0x2b3bfa0+guix@HIDDEN>
      ;;; Copyright © 2021 Felix Gruber <felgru@HIDDEN>
      ;;; Copyright © 2021 Xinglu Chen <public@HIDDEN>
    + ;;; Copyright © 2021 Noisytoot <noisytoot@HIDDEN>
     +;;; Copyright © 2021 Kyle Meyer <kyle@HIDDEN>
      ;;;
      ;;; This file is part of GNU Guix.
2:  8dec2fae21 ! 2:  942db96ac1 gnu: Add patatt.
    @@ gnu/packages/version-control.scm: (define-public grokmirror
     +(define-public patatt
     +  (package
     +    (name "patatt")
    -+    (version "0.4.6")
    ++    (version "0.4.8")
     +    (source
     +     (origin
     +       (method url-fetch)
     +       (uri (pypi-uri "patatt" version))
     +       (sha256
    -+        (base32 "06xrbm94a6mzrp6pih7pk4bbcbjh4xrf8y8qjg8va4qbvkhhcl2c"))))
    ++        (base32 "1jj3c2rc5lzgsk3x2bq1295g7h59y9y8vi9a0gzqh3aqka00zqak"))))
     +    (build-system python-build-system)
     +    (arguments '(#:tests? #f))          ; No tests.
     +    (propagated-inputs
3:  cb85fcb68c ! 3:  3a3d16e4c3 gnu: b4: Update to 0.7.2.
    @@ Metadata
     Author: Kyle Meyer <kyle@HIDDEN>

      ## Commit message ##
    -    gnu: b4: Update to 0.7.2.
    +    gnu: b4: Update to 0.8.0.

    -    * gnu/packages/version-control.scm (b4): Update to 0.7.2.
    +    * gnu/packages/version-control.scm (b4): Update to 0.8.0.
         [propagated-inputs]: Add patatt.
         [source]: Drop snippet for issue that is now fixed upstream.

    @@ gnu/packages/version-control.scm: (define-public patatt
        (package
          (name "b4")
     -    (version "0.6.2")
    -+    (version "0.7.2")
    ++    (version "0.8.0")
          (source
           (origin
             (method url-fetch)
    @@ gnu/packages/version-control.scm: (define-public patatt
     -           (substitute* "setup.py"
     -             (("~=") ">="))
     -           #t))))
    -+        (base32 "1zc75s6ikn5vlv2jhvw00saqyymh3dpr9b8p9w13fwll6v05s9nd"))))
    ++        (base32 "115ysciq15sxc8fd9hf7p0f4wnd5xapcfkmq8g33y1c8nbdxclbx"))))
          (build-system python-build-system)
          (arguments '(#:tests? #f))          ; No tests.
          (inputs

base-commit: 511dc6877e0664d83fd800cc601fa94c231a0d0f
--
2.33.0




Information forwarded to guix-patches@HIDDEN:
bug#48702; Package guix-patches. Full text available.

Message received at 48702 <at> debbugs.gnu.org:


Received: (at 48702) by debbugs.gnu.org; 17 Jul 2021 13:10:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 17 09:10:33 2021
Received: from localhost ([127.0.0.1]:52971 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m4k5Q-0006Ia-Ud
	for submit <at> debbugs.gnu.org; Sat, 17 Jul 2021 09:10:33 -0400
Received: from out2.migadu.com ([188.165.223.204]:19067)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1m4k5F-0006Hr-W4
 for 48702 <at> debbugs.gnu.org; Sat, 17 Jul 2021 09:10:28 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1626527421;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=v19GEKQFb1VtkIuSXkl9ZTKZs2/+nl7Fvc30uzFU+hw=;
 b=d7+gMqtO9ENoIMaMNgAe4Mhxlk+Dvx1p3WBKAwoCrpMB+K99nctAaVQTqsauT0JmNE2z6c
 Cs3zEGBU6mJTBErqzVxkHYzThJ5dFWuLqx112DseASe1yg/gTUQALCsFzgWdr1xoAGQGbf
 j6a/OOgE11rd0gMjsk1Eg0qI+lap/BbaMglcm6ToXUeb5IQHoms7p59RIXRFtVNdYQJ7+9
 yVhoKZLI3J2rTXVzD47Z31/0o6x9jp2mQUKSqqWHwe/C3A+29Zk7r/w5Ees+DzlR9/lIIQ
 kH+iO4K1YBUkfpcI2j1Q/63TjvsTkjc5zZW9TgzPovLF5QAD4GppQb/I6ScPjA==
From: Kyle Meyer <kyle@HIDDEN>
To: 48702 <at> debbugs.gnu.org
Subject: [PATCH v3 2/3] gnu: Add patatt.
Date: Sat, 17 Jul 2021 09:09:40 -0400
Message-Id: <20210717130941.25146-3-kyle@HIDDEN>
In-Reply-To: <20210717130941.25146-1-kyle@HIDDEN>
References: <20210603064009.18820-1-kyle@HIDDEN>
 <20210717130941.25146-1-kyle@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: kyle@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48702
Cc: Xinglu Chen <public@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/version-control.scm (patatt): New variable.
---
 gnu/packages/version-control.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/version-control.scm b/gnu/packages/version-control.scm
index 7c1dbe8b26..b4aa1ce776 100644
--- a/gnu/packages/version-control.scm
+++ b/gnu/packages/version-control.scm
@@ -109,6 +109,7 @@ (define-module (gnu packages version-control)
   #:use-module (gnu packages python)
   #:use-module (gnu packages python-build)
   #:use-module (gnu packages python-check)
+  #:use-module (gnu packages python-crypto)
   #:use-module (gnu packages python-web)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages readline)
@@ -2421,6 +2422,28 @@ (define-public grokmirror
 based on a manifest file published by servers.")
     (license license:gpl3+)))
 
+(define-public patatt
+  (package
+    (name "patatt")
+    (version "0.4.6")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "patatt" version))
+       (sha256
+        (base32 "06xrbm94a6mzrp6pih7pk4bbcbjh4xrf8y8qjg8va4qbvkhhcl2c"))))
+    (build-system python-build-system)
+    (arguments '(#:tests? #f))          ; No tests.
+    (propagated-inputs
+     `(("python-pynacl" ,python-pynacl)))
+    (home-page "https://git.kernel.org/pub/scm/utils/patatt/patatt.git")
+    (synopsis "Tool for cryptographic patch attestation")
+    (description "This utility provides end-to-end cryptographic attestation
+of patches sent via mail.  It does so by adapting the DKIM email signature
+standard to include cryptographic signatures via the X-Developer-Signature
+email header.")
+    (license license:expat-0)))
+
 (define-public b4
   (package
     (name "b4")
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#48702; Package guix-patches. Full text available.

Message received at 48702 <at> debbugs.gnu.org:


Received: (at 48702) by debbugs.gnu.org; 17 Jul 2021 13:10:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 17 09:10:32 2021
Received: from localhost ([127.0.0.1]:52969 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m4k5P-0006IS-IP
	for submit <at> debbugs.gnu.org; Sat, 17 Jul 2021 09:10:32 -0400
Received: from out2.migadu.com ([188.165.223.204]:19080)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1m4k5H-0006Hu-Lh
 for 48702 <at> debbugs.gnu.org; Sat, 17 Jul 2021 09:10:24 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1626527423;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=khWck0ksDfhSfx+tnniXdy23ZPK8tzEzSByF2F+l0NI=;
 b=VA7Gm5b8fXtwcd4HRrmQ4Ix3oFVrbhz7uOFO/uCqM24xu/z9lPgPrpq1CFVF0S8BDzzKgJ
 N3OKjoOcJL5PAJfBATGR0tAHKNb+b5UlylqgpHL1uh4qV71WctDOda/vre3UfWsUn0X3sO
 vhriUs/dHkEyFX1njYXzjZAjirKcg20Pyp1useNBhauCD46dQ+2aJL391QydVtAcmCVGpv
 ZQ4/cuTbzmmnLfu2C8a3RBkGw2BJvZrI0sXu9aA5L8cLpIiAK9ztDzcQoUVFq+pwe7Q4Zk
 KvPBO6UPu9BbjTqfyLBhSTjGuomzXVUK3OtXrpYP/v7JN0DqviVvxIAom9vS7g==
From: Kyle Meyer <kyle@HIDDEN>
To: 48702 <at> debbugs.gnu.org
Subject: [PATCH v3 3/3] gnu: b4: Update to 0.7.2.
Date: Sat, 17 Jul 2021 09:09:41 -0400
Message-Id: <20210717130941.25146-4-kyle@HIDDEN>
In-Reply-To: <20210717130941.25146-1-kyle@HIDDEN>
References: <20210603064009.18820-1-kyle@HIDDEN>
 <20210717130941.25146-1-kyle@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: kyle@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48702
Cc: Xinglu Chen <public@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/version-control.scm (b4): Update to 0.7.2.
[propagated-inputs]: Add patatt.
[source]: Drop snippet for issue that is now fixed upstream.
---
 gnu/packages/version-control.scm | 14 ++++----------
 1 file changed, 4 insertions(+), 10 deletions(-)

diff --git a/gnu/packages/version-control.scm b/gnu/packages/version-control.scm
index b4aa1ce776..f539f7dd77 100644
--- a/gnu/packages/version-control.scm
+++ b/gnu/packages/version-control.scm
@@ -2447,27 +2447,21 @@ (define-public patatt
 (define-public b4
   (package
     (name "b4")
-    (version "0.6.2")
+    (version "0.7.2")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "b4" version))
        (sha256
-        (base32 "1j904dy9cwxl85k2ngc498q5cdnqwsmw3jibjr1m55w8aqdck68z"))
-       (modules '((guix build utils)))
-       (snippet
-        '(begin
-           ;; Fixes issue with dependency requirements being too strict. See upstream commit:
-           ;; https://git.kernel.org/pub/scm/utils/b4/b4.git/commit/?id=31348a14afdb1d39e7faf9576eaddea1ced76e19
-           (substitute* "setup.py"
-             (("~=") ">="))
-           #t))))
+        (base32 "1zc75s6ikn5vlv2jhvw00saqyymh3dpr9b8p9w13fwll6v05s9nd"))))
     (build-system python-build-system)
     (arguments '(#:tests? #f))          ; No tests.
     (inputs
      `(("python-dkimpy" ,python-dkimpy)
        ("python-dnspython" ,python-dnspython)
        ("python-requests" ,python-requests)))
+    (propagated-inputs
+     `(("patatt" ,patatt)))
     (home-page "https://git.kernel.org/pub/scm/utils/b4/b4.git")
     (synopsis "Tool for working with patches in public-inbox archives")
     (description
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#48702; Package guix-patches. Full text available.

Message received at 48702 <at> debbugs.gnu.org:


Received: (at 48702) by debbugs.gnu.org; 17 Jul 2021 13:10:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 17 09:10:31 2021
Received: from localhost ([127.0.0.1]:52967 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m4k5K-0006IA-07
	for submit <at> debbugs.gnu.org; Sat, 17 Jul 2021 09:10:31 -0400
Received: from out2.migadu.com ([188.165.223.204]:19057)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1m4k5E-0006Hg-P0
 for 48702 <at> debbugs.gnu.org; Sat, 17 Jul 2021 09:10:24 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1626527419;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=bvZC+V3Bd7FNa3+Fk3gT66sNWxgYZVBryrpHmC/iJ6E=;
 b=R2ZSyVpw/8iAfr/iwtQV7+0V8YgDs3sJLmq0SJTQv6UXYJQkSh/vFQrS3lAu2vbMjtZ1+1
 f4FTiJWcYuyHuGb03DzGqoBQsJ2J5G8JZmf9Ob2G8f6FZFOc9ienMSpUjZYZTs5L3AS6b/
 7XEJN+ZyAaT8vNiQ2Shtr91KKK0/FhbyRnDc7rm5LVoARAPeSHK+w/R05RhtAk8vJg332e
 wa3tSckYE8YrQmXbxDjN8A6cVhJW0tgUU7wcvHwCw0l3ahBS0qo87Xw0YdRSdEKmHiWAu5
 FWZx5wFOeuzIFODTs/U5enerVtBDWW7Bw4bT+EVm2Z/geZCjj60rr8yv0U9PyA==
From: Kyle Meyer <kyle@HIDDEN>
To: 48702 <at> debbugs.gnu.org
Subject: [PATCH v3 1/3] licenses: Add Expat No Attribution license.
Date: Sat, 17 Jul 2021 09:09:39 -0400
Message-Id: <20210717130941.25146-2-kyle@HIDDEN>
In-Reply-To: <20210717130941.25146-1-kyle@HIDDEN>
References: <20210603064009.18820-1-kyle@HIDDEN>
 <20210717130941.25146-1-kyle@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: kyle@HIDDEN
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * guix/licenses.scm (expat-0): New variable. *
 guix/import/utils.scm
 (spdx-string->license): Add MIT-0. --- guix/import/utils.scm | 2 ++
 guix/licenses.scm
 | 10 +++++++++- 2 files changed, 11 insertion [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [188.165.223.204 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 48702
Cc: Xinglu Chen <public@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

* guix/licenses.scm (expat-0): New variable.
* guix/import/utils.scm (spdx-string->license): Add MIT-0.
---
 guix/import/utils.scm |  2 ++
 guix/licenses.scm     | 10 +++++++++-
 2 files changed, 11 insertions(+), 1 deletion(-)

diff --git a/guix/import/utils.scm b/guix/import/utils.scm
index d817318a91..22d558cf09 100644
--- a/guix/import/utils.scm
+++ b/guix/import/utils.scm
@@ -8,6 +8,7 @@
 ;;; Copyright © 2020 Helio Machado <0x2b3bfa0+guix@HIDDEN>
 ;;; Copyright © 2020 Martin Becze <mjbecze@HIDDEN>
 ;;; Copyright © 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
+;;; Copyright © 2021 Kyle Meyer <kyle@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -155,6 +156,7 @@ (define (spdx-string->license str)
     ("CPL-1.0"                     'license:cpl1.0)
     ("EPL-1.0"                     'license:epl1.0)
     ("MIT"                         'license:expat)
+    ("MIT-0"                       'license:expat-0)
     ("FTL"                         'license:freetype)
     ("GFDL-1.1"                    'license:fdl1.1+)
     ("GFDL-1.2"                    'license:fdl1.2+)
diff --git a/guix/licenses.scm b/guix/licenses.scm
index 3affe1e920..852e369bbb 100644
--- a/guix/licenses.scm
+++ b/guix/licenses.scm
@@ -18,6 +18,7 @@
 ;;; Copyright © 2020 Helio Machado <0x2b3bfa0+guix@HIDDEN>
 ;;; Copyright © 2021 Felix Gruber <felgru@HIDDEN>
 ;;; Copyright © 2021 Xinglu Chen <public@HIDDEN>
+;;; Copyright © 2021 Kyle Meyer <kyle@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -57,7 +58,7 @@ (define-module (guix licenses)
             epl1.0
             epl2.0
             eupl1.2
-            expat
+            expat expat-0
             freetype
             freebsd-doc
             giftware
@@ -318,6 +319,13 @@ (define expat
            "http://directory.fsf.org/wiki/License:Expat"
            "https://www.gnu.org/licenses/license-list.html#Expat"))
 
+(define expat-0
+  (license "Expat No Attribution"
+           ;; Note: There is a later formulation of the same license at
+           ;; <https://github.com/aws/mit-0>.
+           "https://romanrm.net/mit-zero"
+           "Expat license with the attribution paragraph removed."))
+
 (define freetype
   (license "Freetype"
            "http://directory.fsf.org/wiki/License:Freetype"
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#48702; Package guix-patches. Full text available.

Message received at 48702 <at> debbugs.gnu.org:


Received: (at 48702) by debbugs.gnu.org; 17 Jul 2021 13:10:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 17 09:10:26 2021
Received: from localhost ([127.0.0.1]:52961 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m4k5F-0006Hq-Ad
	for submit <at> debbugs.gnu.org; Sat, 17 Jul 2021 09:10:25 -0400
Received: from out0.migadu.com ([94.23.1.103]:62775)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1m4k5A-0006Hb-NW
 for 48702 <at> debbugs.gnu.org; Sat, 17 Jul 2021 09:10:20 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1626527413;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=pv5KATCF9i9MqiKKEAynP7WWtbPSwcJX/oJsIoqHKB4=;
 b=kv2PtSKBeBU1pu4PrMHP+sHzck42n+kGsPyoDS3axjXzeH9WYJ+7St7nccYpL1D2x3ty3F
 ws0Wfb6wbQOTKZDe6c53mvmzDVKih2KtZBynTlWe9XWhyrZUfEzzD1f/gopMfDr5XB/wcd
 ciCPXy2e//P4ujttO5HAeNRW0B5YTE6a1oo/i4Qrun7Lb3XVPLz0trRZnVEe8HyjGSO48S
 sSxkNDkvhdtkauoe6/zhz7LcR4JAncH08MMJ1vCiDA6q4tvYfbLGTaOxTci3mL9E5Zci6e
 7rOUTlDh1KOrN9jEux5tOKTlfxD66mIomPSXgfHE4Mt2p6pYAiJGNZNJ4uIEhg==
From: Kyle Meyer <kyle@HIDDEN>
To: 48702 <at> debbugs.gnu.org
Subject: [PATCH v3 0/3] Add patatt and update b4
Date: Sat, 17 Jul 2021 09:09:38 -0400
Message-Id: <20210717130941.25146-1-kyle@HIDDEN>
In-Reply-To: <20210603064009.18820-1-kyle@HIDDEN>
References: <20210603064009.18820-1-kyle@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: kyle@HIDDEN
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Here's a reroll that 1) deals with conflicts that have popped
 up in guix/licenses.scm and 2) accounts for patatt and b4 releases that have
 happened since v2 was sent. --- This series updates b4 to the latest version.
 b4 now uses a separate tool for patch attestation (added in patch 2), which
 in turn uses a license that's not in guix/licenses.scm (added in patch 1).
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [94.23.1.103 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [94.23.1.103 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 48702
Cc: Xinglu Chen <public@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Here's a reroll that 1) deals with conflicts that have popped up in
guix/licenses.scm and 2) accounts for patatt and b4 releases that have
happened since v2 was sent.

---

This series updates b4 to the latest version.  b4 now uses a separate tool for
patch attestation (added in patch 2), which in turn uses a license that's not
in guix/licenses.scm (added in patch 1).

  [1/3] licenses: Add Expat No Attribution license.
  [2/3] gnu: Add patatt.
  [3/3] gnu: b4: Update to 0.7.2.

 gnu/packages/version-control.scm | 37 +++++++++++++++++++++++---------
 guix/import/utils.scm            |  2 ++
 guix/licenses.scm                | 10 ++++++++-
 3 files changed, 38 insertions(+), 11 deletions(-)

Range-diff against v2:
1:  1a4ab70088 ! 1:  bda992a993 licenses: Add Expat No Attribution license.
    @@ guix/import/utils.scm: (define (spdx-string->license str)
     
      ## guix/licenses.scm ##
     @@
    - ;;; Copyright © 2020 André Batista <nandre@HIDDEN>
      ;;; Copyright © 2020 Helio Machado <0x2b3bfa0+guix@HIDDEN>
      ;;; Copyright © 2021 Felix Gruber <felgru@HIDDEN>
    + ;;; Copyright © 2021 Xinglu Chen <public@HIDDEN>
     +;;; Copyright © 2021 Kyle Meyer <kyle@HIDDEN>
      ;;;
      ;;; This file is part of GNU Guix.
      ;;;
     @@ guix/licenses.scm: (define-module (guix licenses)
    -             edl1.0
                  epl1.0
                  epl2.0
    +             eupl1.2
     -            expat
     +            expat expat-0
                  freetype
2:  f9d1ef1ac5 ! 2:  8dec2fae21 gnu: Add patatt.
    @@ gnu/packages/version-control.scm: (define-public grokmirror
     +(define-public patatt
     +  (package
     +    (name "patatt")
    -+    (version "0.4.4")
    ++    (version "0.4.6")
     +    (source
     +     (origin
     +       (method url-fetch)
     +       (uri (pypi-uri "patatt" version))
     +       (sha256
    -+        (base32 "08v7f8rwr0gx21q2igxrw51ydlwkgcjch75xhdg0qvnknn4k1c3z"))))
    ++        (base32 "06xrbm94a6mzrp6pih7pk4bbcbjh4xrf8y8qjg8va4qbvkhhcl2c"))))
     +    (build-system python-build-system)
     +    (arguments '(#:tests? #f))          ; No tests.
     +    (propagated-inputs
3:  94b7d5062c ! 3:  cb85fcb68c gnu: b4: Update to 0.7.1.
    @@ Metadata
     Author: Kyle Meyer <kyle@HIDDEN>
     
      ## Commit message ##
    -    gnu: b4: Update to 0.7.1.
    +    gnu: b4: Update to 0.7.2.
     
    -    * gnu/packages/version-control.scm (b4): Update to 0.7.1.
    +    * gnu/packages/version-control.scm (b4): Update to 0.7.2.
         [propagated-inputs]: Add patatt.
         [source]: Drop snippet for issue that is now fixed upstream.
     
    @@ gnu/packages/version-control.scm: (define-public patatt
        (package
          (name "b4")
     -    (version "0.6.2")
    -+    (version "0.7.1")
    ++    (version "0.7.2")
          (source
           (origin
             (method url-fetch)
    @@ gnu/packages/version-control.scm: (define-public patatt
     -           (substitute* "setup.py"
     -             (("~=") ">="))
     -           #t))))
    -+        (base32 "04hwrqpvb98m6p9qj8mlblb2ynxai7zgzrlm6kbx9q2f9xl16d9z"))))
    ++        (base32 "1zc75s6ikn5vlv2jhvw00saqyymh3dpr9b8p9w13fwll6v05s9nd"))))
          (build-system python-build-system)
          (arguments '(#:tests? #f))          ; No tests.
          (inputs

base-commit: 9cb35c02164d929fcb8929e7f454df215df8cf25
-- 
2.32.0





Information forwarded to guix-patches@HIDDEN:
bug#48702; Package guix-patches. Full text available.

Message received at 48702 <at> debbugs.gnu.org:


Received: (at 48702) by debbugs.gnu.org; 3 Jun 2021 06:40:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 02:40:44 2021
Received: from localhost ([127.0.0.1]:41914 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1loh23-0006K8-VN
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 02:40:44 -0400
Received: from out1.migadu.com ([91.121.223.63]:52482)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1loh1z-0006Jm-NR
 for 48702 <at> debbugs.gnu.org; Thu, 03 Jun 2021 02:40:40 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1622702439;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=5HAym+S91elmDtXqL6DKZvoG8VFLoh0uTvevSyKZFSU=;
 b=vkL8dsoKaxOGMC/1vDVdGZY/ZGn2LVSB8VOpyFN0H8m5LB5LdVTJ3o1UvIkTZzR2UGWoYq
 966Cg7obnF9vosBd/Tjx9UlF8lufCv8KJTlWDhzIYlTAWr5Ph/37IIf41Td0rbj9/yCVOV
 8WkxNBdjTwsmBS9fegRLeQwqR7HVyjTZwZ/XpU1z4sNCqG4D5LepjERwuEInNQRmK/lVku
 IYvjn82SVltwX/DpoJB79uNspntgdvqU9HEi9tRfmFNJ+m15W4aP6XTPRYg8s7eorFE4Ti
 ymw8h6xTw+RPInZuitG6ARxrg89oo9ZH3BRgx2fsX5DVjCdGDD//UneZ/mBj2A==
From: Kyle Meyer <kyle@HIDDEN>
To: 48702 <at> debbugs.gnu.org,
	Xinglu Chen <public@HIDDEN>
Subject: [PATCH v2 3/3] gnu: b4: Update to 0.7.1.
Date: Thu,  3 Jun 2021 02:40:09 -0400
Message-Id: <20210603064009.18820-4-kyle@HIDDEN>
In-Reply-To: <20210603064009.18820-1-kyle@HIDDEN>
References: <20210527145046.11773-1-kyle@HIDDEN>
 <20210603064009.18820-1-kyle@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: kyle@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48702
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/version-control.scm (b4): Update to 0.7.1.
[propagated-inputs]: Add patatt.
[source]: Drop snippet for issue that is now fixed upstream.
---
 gnu/packages/version-control.scm | 14 ++++----------
 1 file changed, 4 insertions(+), 10 deletions(-)

diff --git a/gnu/packages/version-control.scm b/gnu/packages/version-control.scm
index 3748a326b5..c47a3bfe74 100644
--- a/gnu/packages/version-control.scm
+++ b/gnu/packages/version-control.scm
@@ -2448,27 +2448,21 @@ (define-public patatt
 (define-public b4
   (package
     (name "b4")
-    (version "0.6.2")
+    (version "0.7.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "b4" version))
        (sha256
-        (base32 "1j904dy9cwxl85k2ngc498q5cdnqwsmw3jibjr1m55w8aqdck68z"))
-       (modules '((guix build utils)))
-       (snippet
-        '(begin
-           ;; Fixes issue with dependency requirements being too strict. See upstream commit:
-           ;; https://git.kernel.org/pub/scm/utils/b4/b4.git/commit/?id=31348a14afdb1d39e7faf9576eaddea1ced76e19
-           (substitute* "setup.py"
-             (("~=") ">="))
-           #t))))
+        (base32 "04hwrqpvb98m6p9qj8mlblb2ynxai7zgzrlm6kbx9q2f9xl16d9z"))))
     (build-system python-build-system)
     (arguments '(#:tests? #f))          ; No tests.
     (inputs
      `(("python-dkimpy" ,python-dkimpy)
        ("python-dnspython" ,python-dnspython)
        ("python-requests" ,python-requests)))
+    (propagated-inputs
+     `(("patatt" ,patatt)))
     (home-page "https://git.kernel.org/pub/scm/utils/b4/b4.git")
     (synopsis "Tool for working with patches in public-inbox archives")
     (description
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48702; Package guix-patches. Full text available.

Message received at 48702 <at> debbugs.gnu.org:


Received: (at 48702) by debbugs.gnu.org; 3 Jun 2021 06:40:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 02:40:44 2021
Received: from localhost ([127.0.0.1]:41912 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1loh23-0006K0-Ma
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 02:40:43 -0400
Received: from out1.migadu.com ([91.121.223.63]:52474)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1loh1y-0006Jc-84
 for 48702 <at> debbugs.gnu.org; Thu, 03 Jun 2021 02:40:38 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1622702437;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=MYfxoqLQGAH8h1htPmFuJIlK+BZtlxvSf0+SEZCjFB0=;
 b=AbZrwhIxaXt/D7uDnoLnAunMzQc7k/4W97DNMenBytUGL3cSm2wqSr/CwyqDZ513PldgLM
 xvLb8I+gaU5IMpqxhfabflGTyCVFMZcUuk2UHRAA8rTAuTDvoXhPUMUpa6An+nbSxGxCdW
 7G3pqyyWTe7MnZKvQM4p74SySLgocvSiPhND7YBexDphj6WOCKAowW+iPQldOW7GmAmLH/
 iVZG+xi4Usao6aD+moGvIB5q6Z7X1mXEpSbJn6UsLziH5sxa7GwVar5TpJCNDs+1ntfy6Z
 A69uWeL7o4Tyc4T/ZMip+0VORBt3Z7wJzGA/3RErqbIAFJzpt95IEvFaCOFjYQ==
From: Kyle Meyer <kyle@HIDDEN>
To: 48702 <at> debbugs.gnu.org,
	Xinglu Chen <public@HIDDEN>
Subject: [PATCH v2 2/3] gnu: Add patatt.
Date: Thu,  3 Jun 2021 02:40:08 -0400
Message-Id: <20210603064009.18820-3-kyle@HIDDEN>
In-Reply-To: <20210603064009.18820-1-kyle@HIDDEN>
References: <20210527145046.11773-1-kyle@HIDDEN>
 <20210603064009.18820-1-kyle@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: kyle@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48702
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/version-control.scm (patatt): New variable.
---
 gnu/packages/version-control.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/version-control.scm b/gnu/packages/version-control.scm
index cd262402c1..3748a326b5 100644
--- a/gnu/packages/version-control.scm
+++ b/gnu/packages/version-control.scm
@@ -109,6 +109,7 @@ (define-module (gnu packages version-control)
   #:use-module (gnu packages python)
   #:use-module (gnu packages python-build)
   #:use-module (gnu packages python-check)
+  #:use-module (gnu packages python-crypto)
   #:use-module (gnu packages python-web)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages readline)
@@ -2422,6 +2423,28 @@ (define-public grokmirror
 based on a manifest file published by servers.")
     (license license:gpl3+)))
 
+(define-public patatt
+  (package
+    (name "patatt")
+    (version "0.4.4")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "patatt" version))
+       (sha256
+        (base32 "08v7f8rwr0gx21q2igxrw51ydlwkgcjch75xhdg0qvnknn4k1c3z"))))
+    (build-system python-build-system)
+    (arguments '(#:tests? #f))          ; No tests.
+    (propagated-inputs
+     `(("python-pynacl" ,python-pynacl)))
+    (home-page "https://git.kernel.org/pub/scm/utils/patatt/patatt.git")
+    (synopsis "Tool for cryptographic patch attestation")
+    (description "This utility provides end-to-end cryptographic attestation
+of patches sent via mail.  It does so by adapting the DKIM email signature
+standard to include cryptographic signatures via the X-Developer-Signature
+email header.")
+    (license license:expat-0)))
+
 (define-public b4
   (package
     (name "b4")
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48702; Package guix-patches. Full text available.

Message received at 48702 <at> debbugs.gnu.org:


Received: (at 48702) by debbugs.gnu.org; 3 Jun 2021 06:40:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 02:40:43 2021
Received: from localhost ([127.0.0.1]:41905 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1loh1y-0006Jd-2s
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 02:40:43 -0400
Received: from out1.migadu.com ([91.121.223.63]:52466)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1loh1w-0006JS-MS
 for 48702 <at> debbugs.gnu.org; Thu, 03 Jun 2021 02:40:37 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1622702435;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=DqB/JGPx4Ra52UJ9ZJfjAd4muV1DYooJJ44eBmvcRjM=;
 b=YIppSFzHEsN2RqD+kldoOR8egIBIqwx54QLEu/474QWbHVubPuIR0Qw/cVo31JsY44WrSf
 zAA2/ThDwT5ICRMUzvaj9+CowT6YgCx9LoWyP/zhmO5+bhBIfYwZ9lcgIAPqGZsGDcZfGq
 wn89aEvkn01qwTE59qoE4qf3tpcCW+9pcUtayqWOikk/HtxxgO3rVkqMfvdJXqVQpiWJ8x
 zZWBkfE6K4+r04ZdY/seuInLQVswk8t+7dbq5MUHXlyL5dr6C/Dj810byemxvP3an//9wF
 FTQc9FEbmMJ0DeZw2wOmqry6MZtiO2y5l4CyLtzLiUJgbV4vU5GjfxuJS2easQ==
From: Kyle Meyer <kyle@HIDDEN>
To: 48702 <at> debbugs.gnu.org,
	Xinglu Chen <public@HIDDEN>
Subject: [PATCH v2 1/3] licenses: Add Expat No Attribution license.
Date: Thu,  3 Jun 2021 02:40:07 -0400
Message-Id: <20210603064009.18820-2-kyle@HIDDEN>
In-Reply-To: <20210603064009.18820-1-kyle@HIDDEN>
References: <20210527145046.11773-1-kyle@HIDDEN>
 <20210603064009.18820-1-kyle@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: kyle@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48702
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* guix/licenses.scm (expat-0): New variable.
* guix/import/utils.scm (spdx-string->license): Add MIT-0.
---
 guix/import/utils.scm |  2 ++
 guix/licenses.scm     | 10 +++++++++-
 2 files changed, 11 insertions(+), 1 deletion(-)

diff --git a/guix/import/utils.scm b/guix/import/utils.scm
index d817318a91..22d558cf09 100644
--- a/guix/import/utils.scm
+++ b/guix/import/utils.scm
@@ -8,6 +8,7 @@
 ;;; Copyright © 2020 Helio Machado <0x2b3bfa0+guix@HIDDEN>
 ;;; Copyright © 2020 Martin Becze <mjbecze@HIDDEN>
 ;;; Copyright © 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
+;;; Copyright © 2021 Kyle Meyer <kyle@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -155,6 +156,7 @@ (define (spdx-string->license str)
     ("CPL-1.0"                     'license:cpl1.0)
     ("EPL-1.0"                     'license:epl1.0)
     ("MIT"                         'license:expat)
+    ("MIT-0"                       'license:expat-0)
     ("FTL"                         'license:freetype)
     ("GFDL-1.1"                    'license:fdl1.1+)
     ("GFDL-1.2"                    'license:fdl1.2+)
diff --git a/guix/licenses.scm b/guix/licenses.scm
index 4718ccf83f..6e3bc5f488 100644
--- a/guix/licenses.scm
+++ b/guix/licenses.scm
@@ -17,6 +17,7 @@
 ;;; Copyright © 2020 André Batista <nandre@HIDDEN>
 ;;; Copyright © 2020 Helio Machado <0x2b3bfa0+guix@HIDDEN>
 ;;; Copyright © 2021 Felix Gruber <felgru@HIDDEN>
+;;; Copyright © 2021 Kyle Meyer <kyle@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -55,7 +56,7 @@ (define-module (guix licenses)
             edl1.0
             epl1.0
             epl2.0
-            expat
+            expat expat-0
             freetype
             freebsd-doc
             giftware
@@ -306,6 +307,13 @@ (define expat
            "http://directory.fsf.org/wiki/License:Expat"
            "https://www.gnu.org/licenses/license-list.html#Expat"))
 
+(define expat-0
+  (license "Expat No Attribution"
+           ;; Note: There is a later formulation of the same license at
+           ;; <https://github.com/aws/mit-0>.
+           "https://romanrm.net/mit-zero"
+           "Expat license with the attribution paragraph removed."))
+
 (define freetype
   (license "Freetype"
            "http://directory.fsf.org/wiki/License:Freetype"
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48702; Package guix-patches. Full text available.

Message received at 48702 <at> debbugs.gnu.org:


Received: (at 48702) by debbugs.gnu.org; 3 Jun 2021 06:40:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 03 02:40:36 2021
Received: from localhost ([127.0.0.1]:41901 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1loh1v-0006JK-Pu
	for submit <at> debbugs.gnu.org; Thu, 03 Jun 2021 02:40:36 -0400
Received: from out1.migadu.com ([91.121.223.63]:52441)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1loh1s-0006J5-UM
 for 48702 <at> debbugs.gnu.org; Thu, 03 Jun 2021 02:40:34 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1622702431;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=0/twP5Gj+iPoUxohBsdK/PffDAu5XhodDCspU9izv1Q=;
 b=zVicKEEe2Fjb1V2SwGDl55OfjTqOrcTV7BU7ivPjCG+TW5QO70r3f+9u4wiTQAcF7kz6E0
 yEhQO3TKQv75Jv+i1IAncGoia4O6ehbBEsBNCHVC14Ogy7C3jQeIx4CTrBWSMMZMIXqYVg
 FwPFRhBYzI8e90H5O1+TXx1iKUUROpPaflpvJoWszi9qP4jQ4Ocr52D0dxHEuhBqZmRU88
 YqDc+YYOaYOwj7h+zouzpC1Jucl2ZdX1mTGzksS8+FZbTo9g5Ukqds60e/0qGnLqiGLCZV
 M2iC2MiJmToWVDYIZNeLxJwz3qQgGN82Mgr8kxHX0qatCI/cCADmeDRlqqfmAg==
From: Kyle Meyer <kyle@HIDDEN>
To: 48702 <at> debbugs.gnu.org,
	Xinglu Chen <public@HIDDEN>
Subject: [PATCH v2 0/3] Add patatt and update b4
Date: Thu,  3 Jun 2021 02:40:06 -0400
Message-Id: <20210603064009.18820-1-kyle@HIDDEN>
In-Reply-To: <20210527145046.11773-1-kyle@HIDDEN>
References: <20210527145046.11773-1-kyle@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: kyle@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48702
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Since v1 of this series was sent, both patatt and b4 have had bugfix releases.
Here's a reroll with the current versions.

---

This series updates b4 to the latest version.  b4 now uses a separate tool for
patch attestation (added in patch 2), which in turn uses a license that's not
in guix/licenses.scm (added in patch 1).

  [1/3] licenses: Add Expat No Attribution license.
  [2/3] gnu: Add patatt.
  [3/3] gnu: b4: Update to 0.7.1.

 gnu/packages/version-control.scm | 37 +++++++++++++++++++++++---------
 guix/import/utils.scm            |  2 ++
 guix/licenses.scm                | 10 ++++++++-
 3 files changed, 38 insertions(+), 11 deletions(-)

Range-diff against v1:
1:  f41fc95390 = 1:  1a4ab70088 licenses: Add Expat No Attribution license.
2:  6e1a0d76fb ! 2:  f9d1ef1ac5 gnu: Add patatt.
    @@ gnu/packages/version-control.scm: (define-public grokmirror
     +(define-public patatt
     +  (package
     +    (name "patatt")
    -+    (version "0.4.3")
    ++    (version "0.4.4")
     +    (source
     +     (origin
     +       (method url-fetch)
     +       (uri (pypi-uri "patatt" version))
     +       (sha256
    -+        (base32 "0gqcrigq8alxydl6w5kxwdjfkpjhqprpwa3180sbkjlnvans71fs"))))
    ++        (base32 "08v7f8rwr0gx21q2igxrw51ydlwkgcjch75xhdg0qvnknn4k1c3z"))))
     +    (build-system python-build-system)
     +    (arguments '(#:tests? #f))          ; No tests.
     +    (propagated-inputs
3:  99fea48959 ! 3:  94b7d5062c gnu: b4: Update to 0.7.0.
    @@ Metadata
     Author: Kyle Meyer <kyle@HIDDEN>
     
      ## Commit message ##
    -    gnu: b4: Update to 0.7.0.
    +    gnu: b4: Update to 0.7.1.
     
    -    * gnu/packages/version-control.scm (b4): Update to 0.7.0.
    +    * gnu/packages/version-control.scm (b4): Update to 0.7.1.
         [propagated-inputs]: Add patatt.
         [source]: Drop snippet for issue that is now fixed upstream.
     
    @@ gnu/packages/version-control.scm: (define-public patatt
        (package
          (name "b4")
     -    (version "0.6.2")
    -+    (version "0.7.0")
    ++    (version "0.7.1")
          (source
           (origin
             (method url-fetch)
    @@ gnu/packages/version-control.scm: (define-public patatt
     -           (substitute* "setup.py"
     -             (("~=") ">="))
     -           #t))))
    -+        (base32 "089j33yyx827qpy8qkw3xk1cwis650bj5xjdn2qgckxs3sfklw7i"))))
    ++        (base32 "04hwrqpvb98m6p9qj8mlblb2ynxai7zgzrlm6kbx9q2f9xl16d9z"))))
          (build-system python-build-system)
          (arguments '(#:tests? #f))          ; No tests.
          (inputs

base-commit: 9e7d93f67566d52a2dc9006f02a4c2ad2be14442
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48702; Package guix-patches. Full text available.

Message received at 48702 <at> debbugs.gnu.org:


Received: (at 48702) by debbugs.gnu.org; 27 May 2021 23:05:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 27 19:05:36 2021
Received: from localhost ([127.0.0.1]:53018 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmP4K-000837-Fl
	for submit <at> debbugs.gnu.org; Thu, 27 May 2021 19:05:36 -0400
Received: from out0.migadu.com ([94.23.1.103]:10485)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1lmP4H-00082x-Vb
 for 48702 <at> debbugs.gnu.org; Thu, 27 May 2021 19:05:35 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1622156732;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=av2mbiBdUI+zGBnmTYOvSFhFqzZzkJBqpdWs53cO67A=;
 b=k9jSX4lxo7R1p2DLkfz6EH1L3JEaXerqHc+qaE1mtbLoHTGXbxTukJzhKvRJK1/XyPPRLY
 mpU7qTZwZ0s51rSvP1RNJHtC/AYc2kiP15RLUTSDDBZzvosiEgGAiNiAbCrOwVXkq7w1bm
 TEykzdnJ9lAyJog97B6feeh9NeaD0vrVsi3CuK5jdM82BI1gLSjFoNgTMRiH5huflIcR4a
 gWGafkSMLOHjz9JJnwFIr4vuJEJWRjmjay6c/hwt9Hf5K4nEAhjRqimT4Y6uv8sdQv+5Hc
 2CjwKExHO3MOTWFI01qv28np8I70EuzQX9XtvSQObK3F9y05IB8s+h/XbYIT1g==
From: Kyle Meyer <kyle@HIDDEN>
To: Xinglu Chen <public@HIDDEN>
Subject: Re: [bug#48702] [PATCH 0/3] Add patatt and update b4
In-Reply-To: <87im33kft3.fsf@HIDDEN>
References: <20210527145046.11773-1-kyle@HIDDEN>
 <87im33kft3.fsf@HIDDEN>
Date: Thu, 27 May 2021 19:05:30 -0400
Message-ID: <878s3zixqd.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: kyle@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48702
Cc: 48702 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Xinglu Chen writes:

> b4 and patatt both build for me, and I was able to check the DKIM
> signature and generate a git-am-ready mbox with it.

Great, thank you for testing things out on your end.




Information forwarded to guix-patches@HIDDEN:
bug#48702; Package guix-patches. Full text available.

Message received at 48702 <at> debbugs.gnu.org:


Received: (at 48702) by debbugs.gnu.org; 27 May 2021 21:49:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 27 17:49:56 2021
Received: from localhost ([127.0.0.1]:52976 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmNt5-00045K-RC
	for submit <at> debbugs.gnu.org; Thu, 27 May 2021 17:49:56 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:36914
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1lmNt3-000455-ML
 for 48702 <at> debbugs.gnu.org; Thu, 27 May 2021 17:49:54 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1622152185;
 bh=ZjXwIG0ZNDPpTBJoXEhmlKxnecpSS52gL54196QSKFo=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=UiaPfzAgzVoQ2fWK6moTYqR1zqSmtRBABcIYHR7VFbGNFzBIj2TlrSiUay7kK0B3j
 GiBbuASYELq/NJBANw25fF3u1A29D8rLfd3Y0b2UAcCxuZV6AKK57nhaaUhi5IndDq
 n8o13HV2LIteVeanGpxDT/Fr1cJWhWzwWjELc1vA=
To: Kyle Meyer <kyle@HIDDEN>, 48702 <at> debbugs.gnu.org
Subject: Re: [bug#48702] [PATCH 0/3] Add patatt and update b4
In-Reply-To: <20210527145046.11773-1-kyle@HIDDEN>
References: <20210527145046.11773-1-kyle@HIDDEN>
Date: Thu, 27 May 2021 23:49:44 +0200
Message-ID: <87im33kft3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Thu, May 27 2021, Kyle Meyer wrote: > This series updates
 b4 to the latest version. b4 now uses a separate tool for > patch attestation
 (added in patch 2),
 which in turn uses a license that's not > in guix/licenses.scm
 (added in patch 1 [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 48702
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Thu, May 27 2021, Kyle Meyer wrote: > This series updates
    b4 to the latest version. b4 now uses a separate tool for > patch attestation
    (added in patch 2), which in turn uses a license that's not > in guix/licenses.scm
    (added in patch 1 [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Thu, May 27 2021, Kyle Meyer wrote:

> This series updates b4 to the latest version.  b4 now uses a separate too=
l for
> patch attestation (added in patch 2), which in turn uses a license that's=
 not
> in guix/licenses.scm (added in patch 1).
>
>   [1/3] licenses: Add Expat No Attribution license.
>   [2/3] gnu: Add patatt.
>   [3/3] gnu: b4: Update to 0.7.0.

b4 and patatt both build for me, and I was able to check the DKIM
signature and generate a git-am-ready mbox with it.

=2D-8<---------------cut here---------------start------------->8---
~/src/linux $ b4 am 20200313231252.64999-1-keescook@HIDDEN
Looking up https://lore.kernel.org/r/20200313231252.64999-1-keescook%40chro=
mium.org
Analyzing 5 messages in the thread
Checking attestation on all messages, may take a moment...
=2D--
  =E2=9C=93 [PATCH v2 1/2] selftests/harness: Move test child waiting logic
  =E2=9C=93 [PATCH v2 2/2] selftests/harness: Handle timeouts cleanly
  ---
  =E2=9C=93 Signed: DKIM/chromium.org
=2D--
Total patches: 2
=2D--
Cover: ./v2_20200313_keescook_selftests_harness_handle_timeouts_cleanly.cov=
er
 Link: https://lore.kernel.org/r/20200313231252.64999-1-keescook@HIDDEN=
rg
 Base: not found
       git am ./v2_20200313_keescook_selftests_harness_handle_timeouts_clea=
nly.mbx
=2D-8<---------------cut here---------------end--------------->8---

Thanks for working on this!


--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmCwE/gVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5G+sP/jNL1dVLHjI7YElprqfgrO95PKbQ
KL5NPzDA8DJPSLw5HXCYd/SpFFMDsbn7OTsJ979ifw8qoubUXVkGGKB6C32oflU9
jU/3TIIEdDnTrC4KVbK2He64vIAq6iQscOHOLBuc7tcpZHUMepPzXivFtohq80r6
yrwdWWdsZSEyUlrAw0RlRPM9+CUEe/1lf5y5CmiaEbzmVPBKv4HGWRTZSc5LEGvB
poYrukYcOYMk9EmWmby3VgW6lgGSpM6qoLKQMRsYC/HEVg9pMCkLNtd1esgDeiR2
0A4I7seHic/TjWQM8+rf4oG+1h20pmBjE40iH7HVI7yyCbsG2G0VcnsWRW4ZKbbg
efXxJxNhqaZL3XvQTK/pk2635+ve3vrAun588xczpI4Ibq5qLgdlJrlGMDmRJgoP
F20VDao8rP+hT9vhnW08gW0x6hLBh9p9VudUglCrTvTSP6oXgx7EJHPO1369u83K
R2e4Qx5+nDlIC/SKRLNnCvdEGqxqNVUhUbxJhhD7j2i3vIMOJckj+M3qsNamUWBs
qvWzIbA9A62upk0ISpyabXCuAmbZyOKKcRW8wu4x9NFXn/ndvL7iuWltdBIOl67u
MiGz0sPiDD0ld3tnkDPQZOefwR89nUPhEvDUlgwn7s3atJc3GUZ/eCfQ13GUqtUI
jnz89zgl1N9B8YN0
=6Gl3
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#48702; Package guix-patches. Full text available.

Message received at 48702 <at> debbugs.gnu.org:


Received: (at 48702) by debbugs.gnu.org; 27 May 2021 14:54:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 27 10:54:58 2021
Received: from localhost ([127.0.0.1]:52584 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmHPW-0008Bh-BD
	for submit <at> debbugs.gnu.org; Thu, 27 May 2021 10:54:58 -0400
Received: from out1.migadu.com ([91.121.223.63]:64802)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1lmHPR-0008BH-8j
 for 48702 <at> debbugs.gnu.org; Thu, 27 May 2021 10:54:53 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1622127292;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=YUrBYWNMLLSSXLrpz9RYf6nztLExIVWIuf3zFNcf/0M=;
 b=Z1VOKpKPjrukUnsbWDwh7rfJihreXEkdZyw+VlOe8CGxkx47Qbn7hmw9kCZzanMa3j1VGJ
 YqzCliH2c4r9BxJiMt1DIAcUorTe5pulOxBfYZZtO95XmKA7wKM0l5cSOSi5i6nPISMNTP
 ze0hy1t6Hr8T1EYY9chM0ipeZULF5nitr0em0eRfnOeg7ecmGu5LAySs8UGDLBU84aaqVZ
 U57Pxe2ja3qRfh0npzJ8XDvCS2e7L2aI/KSWpQrDoNPn18kOonlwV1CmXpKWE4j6WzMgIG
 y8gWdK4bQX3PFq2HxHTZmfekRSgEeqWz3E9Aubb6dQ9yzkKwsV0m5WdGYVSnTg==
From: Kyle Meyer <kyle@HIDDEN>
To: 48702 <at> debbugs.gnu.org
Subject: [PATCH 3/3] gnu: b4: Update to 0.7.0.
Date: Thu, 27 May 2021 10:54:21 -0400
Message-Id: <20210527145421.11903-3-kyle@HIDDEN>
In-Reply-To: <20210527145046.11773-1-kyle@HIDDEN>
References: <20210527145046.11773-1-kyle@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: kyle@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48702
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/version-control.scm (b4): Update to 0.7.0.
[propagated-inputs]: Add patatt.
[source]: Drop snippet for issue that is now fixed upstream.
---
 gnu/packages/version-control.scm | 14 ++++----------
 1 file changed, 4 insertions(+), 10 deletions(-)

diff --git a/gnu/packages/version-control.scm b/gnu/packages/version-control.scm
index 6d555c16d9..dbb40914da 100644
--- a/gnu/packages/version-control.scm
+++ b/gnu/packages/version-control.scm
@@ -2448,27 +2448,21 @@ (define-public patatt
 (define-public b4
   (package
     (name "b4")
-    (version "0.6.2")
+    (version "0.7.0")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "b4" version))
        (sha256
-        (base32 "1j904dy9cwxl85k2ngc498q5cdnqwsmw3jibjr1m55w8aqdck68z"))
-       (modules '((guix build utils)))
-       (snippet
-        '(begin
-           ;; Fixes issue with dependency requirements being too strict. See upstream commit:
-           ;; https://git.kernel.org/pub/scm/utils/b4/b4.git/commit/?id=31348a14afdb1d39e7faf9576eaddea1ced76e19
-           (substitute* "setup.py"
-             (("~=") ">="))
-           #t))))
+        (base32 "089j33yyx827qpy8qkw3xk1cwis650bj5xjdn2qgckxs3sfklw7i"))))
     (build-system python-build-system)
     (arguments '(#:tests? #f))          ; No tests.
     (inputs
      `(("python-dkimpy" ,python-dkimpy)
        ("python-dnspython" ,python-dnspython)
        ("python-requests" ,python-requests)))
+    (propagated-inputs
+     `(("patatt" ,patatt)))
     (home-page "https://git.kernel.org/pub/scm/utils/b4/b4.git")
     (synopsis "Tool for working with patches in public-inbox archives")
     (description
-- 
2.32.0.rc1.229.g3e70b5a671





Information forwarded to guix-patches@HIDDEN:
bug#48702; Package guix-patches. Full text available.

Message received at 48702 <at> debbugs.gnu.org:


Received: (at 48702) by debbugs.gnu.org; 27 May 2021 14:54:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 27 10:54:58 2021
Received: from localhost ([127.0.0.1]:52582 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmHPV-0008Ba-W3
	for submit <at> debbugs.gnu.org; Thu, 27 May 2021 10:54:58 -0400
Received: from out2.migadu.com ([188.165.223.204]:32869)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1lmHPQ-0008BE-KJ
 for 48702 <at> debbugs.gnu.org; Thu, 27 May 2021 10:54:53 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1622127291;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=NBDyOxUgHzwFBWbtiKbtLjSI64o1Y4jXvXJHqa68yt4=;
 b=oVgyuJ6T56culkefBBqCjOijioAtfoZpglVkmxsBcqVXbIM/iwEGE/HkpCbV2LqjnCe514
 2prAbl0GUPeP5tS/S8W00RXyH5hRta4HO9qjZ0Pjt5rCYr0fhnxWibdGWCWTqYSQ7RoFMS
 bb2kI+8EnXJaMO4qRCO21jZdylGkkb49atCq0pJkXiVJ/K5vfMvckd3ud2Mu5lUNoWJV6p
 uCxLH5I5fRhWB4XxMfaL54QQwvL8D6jK+bmdB9DLpnq8C3zzKTT37L72BTjFZ3qWnrr5Xv
 gbOdWujoxcNNqf6IZ0CIMHUMCpuLLX2pi7jCMJkM6r1L3lPuLbma8xR0GH3ghQ==
From: Kyle Meyer <kyle@HIDDEN>
To: 48702 <at> debbugs.gnu.org
Subject: [PATCH 2/3] gnu: Add patatt.
Date: Thu, 27 May 2021 10:54:20 -0400
Message-Id: <20210527145421.11903-2-kyle@HIDDEN>
In-Reply-To: <20210527145046.11773-1-kyle@HIDDEN>
References: <20210527145046.11773-1-kyle@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: kyle@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48702
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/version-control.scm (patatt): New variable.
---
 gnu/packages/version-control.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/version-control.scm b/gnu/packages/version-control.scm
index 80842ecf0c..6d555c16d9 100644
--- a/gnu/packages/version-control.scm
+++ b/gnu/packages/version-control.scm
@@ -109,6 +109,7 @@ (define-module (gnu packages version-control)
   #:use-module (gnu packages python)
   #:use-module (gnu packages python-build)
   #:use-module (gnu packages python-check)
+  #:use-module (gnu packages python-crypto)
   #:use-module (gnu packages python-web)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages readline)
@@ -2422,6 +2423,28 @@ (define-public grokmirror
 based on a manifest file published by servers.")
     (license license:gpl3+)))
 
+(define-public patatt
+  (package
+    (name "patatt")
+    (version "0.4.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "patatt" version))
+       (sha256
+        (base32 "0gqcrigq8alxydl6w5kxwdjfkpjhqprpwa3180sbkjlnvans71fs"))))
+    (build-system python-build-system)
+    (arguments '(#:tests? #f))          ; No tests.
+    (propagated-inputs
+     `(("python-pynacl" ,python-pynacl)))
+    (home-page "https://git.kernel.org/pub/scm/utils/patatt/patatt.git")
+    (synopsis "Tool for cryptographic patch attestation")
+    (description "This utility provides end-to-end cryptographic attestation
+of patches sent via mail.  It does so by adapting the DKIM email signature
+standard to include cryptographic signatures via the X-Developer-Signature
+email header.")
+    (license license:expat-0)))
+
 (define-public b4
   (package
     (name "b4")
-- 
2.32.0.rc1.229.g3e70b5a671





Information forwarded to guix-patches@HIDDEN:
bug#48702; Package guix-patches. Full text available.

Message received at 48702 <at> debbugs.gnu.org:


Received: (at 48702) by debbugs.gnu.org; 27 May 2021 14:54:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 27 10:54:58 2021
Received: from localhost ([127.0.0.1]:52576 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmHPQ-0008BG-DL
	for submit <at> debbugs.gnu.org; Thu, 27 May 2021 10:54:57 -0400
Received: from out1.migadu.com ([91.121.223.63]:64784)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1lmHPN-0008B4-Ta
 for 48702 <at> debbugs.gnu.org; Thu, 27 May 2021 10:54:51 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1622127288;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=BAkqsDE6NvT4VYmz4inOUQmlUnNxi2GIiRcvGzwuFW8=;
 b=nb2b+vtO9rh/OmPtmDLjtIRhGe7OJzyml9aiuOIO3VnHCwU4PPkmPNGMg3ovdmdzysFCBa
 luRxLQFO25Knil9y/qD5eNJWcDTb0kgIOFMkBqPoxn131KEQm0YHxsRoXyNm8iqjKQjSb8
 pEMSOnTmENTNSTiVYflbaNPQRU9OFF3+lqM3OG2ZrV9ync0bfuyrAMshKWpQTi3/jAmQry
 Qd5nzAKhABcnoeIa4Nc8+C8ugi3Izn99xLddhZl/mhru4egB0RFotGxxxUrVmmZ1hdIMJL
 uCEBw+8mwc5raNCJgQaf+jpejXATLCrNwW/lPDE75/S5QiFck8tcxZ2w64KP+g==
From: Kyle Meyer <kyle@HIDDEN>
To: 48702 <at> debbugs.gnu.org
Subject: [PATCH 1/3] licenses: Add Expat No Attribution license.
Date: Thu, 27 May 2021 10:54:19 -0400
Message-Id: <20210527145421.11903-1-kyle@HIDDEN>
In-Reply-To: <20210527145046.11773-1-kyle@HIDDEN>
References: <20210527145046.11773-1-kyle@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: kyle@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48702
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* guix/licenses.scm (expat-0): New variable.
* guix/import/utils.scm (spdx-string->license): Add MIT-0.
---
 guix/import/utils.scm |  2 ++
 guix/licenses.scm     | 10 +++++++++-
 2 files changed, 11 insertions(+), 1 deletion(-)

diff --git a/guix/import/utils.scm b/guix/import/utils.scm
index d817318a91..22d558cf09 100644
--- a/guix/import/utils.scm
+++ b/guix/import/utils.scm
@@ -8,6 +8,7 @@
 ;;; Copyright © 2020 Helio Machado <0x2b3bfa0+guix@HIDDEN>
 ;;; Copyright © 2020 Martin Becze <mjbecze@HIDDEN>
 ;;; Copyright © 2021 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
+;;; Copyright © 2021 Kyle Meyer <kyle@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -155,6 +156,7 @@ (define (spdx-string->license str)
     ("CPL-1.0"                     'license:cpl1.0)
     ("EPL-1.0"                     'license:epl1.0)
     ("MIT"                         'license:expat)
+    ("MIT-0"                       'license:expat-0)
     ("FTL"                         'license:freetype)
     ("GFDL-1.1"                    'license:fdl1.1+)
     ("GFDL-1.2"                    'license:fdl1.2+)
diff --git a/guix/licenses.scm b/guix/licenses.scm
index 4718ccf83f..6e3bc5f488 100644
--- a/guix/licenses.scm
+++ b/guix/licenses.scm
@@ -17,6 +17,7 @@
 ;;; Copyright © 2020 André Batista <nandre@HIDDEN>
 ;;; Copyright © 2020 Helio Machado <0x2b3bfa0+guix@HIDDEN>
 ;;; Copyright © 2021 Felix Gruber <felgru@HIDDEN>
+;;; Copyright © 2021 Kyle Meyer <kyle@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -55,7 +56,7 @@ (define-module (guix licenses)
             edl1.0
             epl1.0
             epl2.0
-            expat
+            expat expat-0
             freetype
             freebsd-doc
             giftware
@@ -306,6 +307,13 @@ (define expat
            "http://directory.fsf.org/wiki/License:Expat"
            "https://www.gnu.org/licenses/license-list.html#Expat"))
 
+(define expat-0
+  (license "Expat No Attribution"
+           ;; Note: There is a later formulation of the same license at
+           ;; <https://github.com/aws/mit-0>.
+           "https://romanrm.net/mit-zero"
+           "Expat license with the attribution paragraph removed."))
+
 (define freetype
   (license "Freetype"
            "http://directory.fsf.org/wiki/License:Freetype"
-- 
2.32.0.rc1.229.g3e70b5a671





Information forwarded to guix-patches@HIDDEN:
bug#48702; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 May 2021 14:51:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 27 10:51:17 2021
Received: from localhost ([127.0.0.1]:52570 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lmHLw-00084m-Uv
	for submit <at> debbugs.gnu.org; Thu, 27 May 2021 10:51:17 -0400
Received: from lists.gnu.org ([209.51.188.17]:60920)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1lmHLu-00084c-QB
 for submit <at> debbugs.gnu.org; Thu, 27 May 2021 10:51:15 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41452)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <kyle@HIDDEN>) id 1lmHLu-0004Ko-HY
 for guix-patches@HIDDEN; Thu, 27 May 2021 10:51:14 -0400
Received: from out1.migadu.com ([2001:41d0:2:863f::]:64049)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <kyle@HIDDEN>) id 1lmHLq-0003MC-As
 for guix-patches@HIDDEN; Thu, 27 May 2021 10:51:14 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1622127063;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding;
 bh=vvTH2Jd2qU7N8NF04Eq5aUklz/6F3V+d25Z+9FLeZIQ=;
 b=gMrniwLrFBQEnz6l9LhLfMUZDMWBpWj6qnLzWSbM7TUONx6u/GMQ3L/6WpJyAFTLFBq05T
 ZRaD4ST/DxxTwNMohhfqAxtaRTVPRSzI8yEByM90rZjyviA44OsmYLD/TwNVjHodtL3YYt
 UakSLL7kHqifFgR8iGEyfNogTvoH6jPwiDX+8wpkVw0QANKT8NP4IHuXYW52aBz9U6I7VK
 4AZDzYOiGkt1o6eWnYXIPDQB1V7sVU8MWMc2qxBRRDOCEOqN8mQOdAZSbs9IE2vwzlv0qt
 vJqWUpoztOuq47bW229dKa2xzVr0OA5E2Ubl5FbKSyB0LuHpbap6+22lRhPY+Q==
From: Kyle Meyer <kyle@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/3] Add patatt and update b4
Date: Thu, 27 May 2021 10:50:46 -0400
Message-Id: <20210527145046.11773-1-kyle@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: kyle@HIDDEN
Received-SPF: pass client-ip=2001:41d0:2:863f::; envelope-from=kyle@HIDDEN;
 helo=out1.migadu.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

This series updates b4 to the latest version.  b4 now uses a separate tool for
patch attestation (added in patch 2), which in turn uses a license that's not
in guix/licenses.scm (added in patch 1).

  [1/3] licenses: Add Expat No Attribution license.
  [2/3] gnu: Add patatt.
  [3/3] gnu: b4: Update to 0.7.0.

 gnu/packages/version-control.scm | 37 +++++++++++++++++++++++---------
 guix/import/utils.scm            |  2 ++
 guix/licenses.scm                | 10 ++++++++-
 3 files changed, 38 insertions(+), 11 deletions(-)


base-commit: 014421ee271f1790d81c9660d34ac26c4f2bf8b6
-- 
2.32.0.rc1.229.g3e70b5a671





Acknowledgement sent to Kyle Meyer <kyle@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#48702; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 23 May 2022 09:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.